/**********************************************************************
 * Copyright (c) 2005, 2012 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: AgentControllerUnavailableException.java,v 1.4 2005-10-08 14:28:51 sschneid Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.internal.execution.local.control;

import org.eclipse.hyades.execution.core.DaemonConnectException;

public class AgentControllerUnavailableException extends DaemonConnectException {

	/**
	 * Stream-Unique IDentifier (SUID) of this class
	 */
	private static final long serialVersionUID = -4914319348525595629L;

	public AgentControllerUnavailableException() {
		
	}
	
	public AgentControllerUnavailableException( String message ) {
		super(message);
	}
	
	public AgentControllerUnavailableException( Throwable cause ) {
		super( cause );
	}

	public AgentControllerUnavailableException( String message, Throwable cause ) {
		super( message, cause );
	}

}
