/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: AgentPeerListener.java,v 1.2 2005-02-25 22:17:10 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.internal.execution.local.control;


public interface AgentPeerListener extends AgentListener{
	
	
	/**
	 * Invoked when an agent requests to be monitored because this client
	 * is currently monitoring another agent.
	 */
	void peerWaiting(Agent agent, Agent peer);

}

