/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: Common_TestprofilePackageImpl.java,v 1.13 2009-05-13 13:20:11 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.testprofile.impl;

import java.util.Map;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.emf.ecore.EcorePackage;
import org.eclipse.emf.ecore.impl.EPackageImpl;
import org.eclipse.hyades.models.common.common.CommonPackage;
import org.eclipse.hyades.models.common.common.impl.CommonPackageImpl;
import org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage;
import org.eclipse.hyades.models.common.configuration.impl.Common_ConfigurationPackageImpl;
import org.eclipse.hyades.models.common.datapool.Common_DatapoolPackage;
import org.eclipse.hyades.models.common.datapool.impl.Common_DatapoolPackageImpl;
import org.eclipse.hyades.models.common.fragments.Common_Behavior_FragmentsPackage;
import org.eclipse.hyades.models.common.fragments.impl.Common_Behavior_FragmentsPackageImpl;
import org.eclipse.hyades.models.common.interactions.Common_Behavior_InteractionsPackage;
import org.eclipse.hyades.models.common.interactions.impl.Common_Behavior_InteractionsPackageImpl;
import org.eclipse.hyades.models.common.testprofile.Common_TestprofileFactory;
import org.eclipse.hyades.models.common.testprofile.Common_TestprofilePackage;
import org.eclipse.hyades.models.common.testprofile.EObjectReference;
import org.eclipse.hyades.models.common.testprofile.ITPFExtendedVerdictReason;
import org.eclipse.hyades.models.common.testprofile.TPFArbiter;
import org.eclipse.hyades.models.common.testprofile.TPFBehavior;
import org.eclipse.hyades.models.common.testprofile.TPFCodingRule;
import org.eclipse.hyades.models.common.testprofile.TPFDefault;
import org.eclipse.hyades.models.common.testprofile.TPFDefaultApplication;
import org.eclipse.hyades.models.common.testprofile.TPFDeployment;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionEvent;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionHistory;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionResult;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionStatus;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionType;
import org.eclipse.hyades.models.common.testprofile.TPFInstanceValue;
import org.eclipse.hyades.models.common.testprofile.TPFInvocationEvent;
import org.eclipse.hyades.models.common.testprofile.TPFInvocationReason;
import org.eclipse.hyades.models.common.testprofile.TPFInvocationStatus;
import org.eclipse.hyades.models.common.testprofile.TPFLiteralAny;
import org.eclipse.hyades.models.common.testprofile.TPFLiteralAnyorNull;
import org.eclipse.hyades.models.common.testprofile.TPFLogAction;
import org.eclipse.hyades.models.common.testprofile.TPFLoopEvent;
import org.eclipse.hyades.models.common.testprofile.TPFMessageEvent;
import org.eclipse.hyades.models.common.testprofile.TPFRepositoryRecord;
import org.eclipse.hyades.models.common.testprofile.TPFSeverity;
import org.eclipse.hyades.models.common.testprofile.TPFTest;
import org.eclipse.hyades.models.common.testprofile.TPFTestCase;
import org.eclipse.hyades.models.common.testprofile.TPFTestComponent;
import org.eclipse.hyades.models.common.testprofile.TPFTestObjective;
import org.eclipse.hyades.models.common.testprofile.TPFTestSuite;
import org.eclipse.hyades.models.common.testprofile.TPFTimedEvent;
import org.eclipse.hyades.models.common.testprofile.TPFTimezone;
import org.eclipse.hyades.models.common.testprofile.TPFTypedEvent;
import org.eclipse.hyades.models.common.testprofile.TPFValidationAction;
import org.eclipse.hyades.models.common.testprofile.TPFVerdict;
import org.eclipse.hyades.models.common.testprofile.TPFVerdictEvent;
import org.eclipse.hyades.models.common.testprofile.TPFVerdictList;
import org.eclipse.hyades.models.common.testprofile.TPFVerdictReason;
import org.eclipse.hyades.models.common.testprofile.TPFWaitEvent;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class Common_TestprofilePackageImpl extends EPackageImpl implements Common_TestprofilePackage
{
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfDeploymentEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfLiteralAnyorNullEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfLiteralAnyEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfInstanceValueEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfExecutionResultEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfLogActionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfDefaultEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfDefaultApplicationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfBehaviorEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfTestCaseEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfArbiterEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfCodingRuleEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfsutEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfTestSuiteEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfTestObjectiveEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfTestComponentEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfTimezoneEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfValidationActionEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfExecutionHistoryEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfExecutionEventEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfExecutionStatusEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfInvocationEventEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfVerdictEventEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfMessageEventEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfTypedEventEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfTestEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfLoopEventEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfTimedEventEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfWaitEventEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass eObjectReferenceEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfVerdictListEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfReasonToVerdictMapEntryEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfExtendedReasonToVerdictMapEntryEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass itpfExtendedVerdictReasonEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass tpfRepositoryRecordEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum tpfVerdictEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum tpfExecutionTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum tpfSeverityEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum tpfInvocationStatusEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum tpfVerdictReasonEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum tpfInvocationReasonEEnum = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see org.eclipse.hyades.models.common.testprofile.Common_TestprofilePackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private Common_TestprofilePackageImpl() {
		super(eNS_URI, Common_TestprofileFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
	 * 
	 * <p>This method is used to initialize {@link Common_TestprofilePackage#eINSTANCE} when that field is accessed.
	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static Common_TestprofilePackage init() {
		if (isInited) return (Common_TestprofilePackage)EPackage.Registry.INSTANCE.getEPackage(Common_TestprofilePackage.eNS_URI);

		// Obtain or create and register package
		Common_TestprofilePackageImpl theCommon_TestprofilePackage = (Common_TestprofilePackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof Common_TestprofilePackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new Common_TestprofilePackageImpl());

		isInited = true;

		// Initialize simple dependencies
		EcorePackage.eINSTANCE.eClass();

		// Obtain or create and register interdependencies
		CommonPackageImpl theCommonPackage = (CommonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(CommonPackage.eNS_URI) instanceof CommonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(CommonPackage.eNS_URI) : CommonPackage.eINSTANCE);
		Common_Behavior_InteractionsPackageImpl theCommon_Behavior_InteractionsPackage = (Common_Behavior_InteractionsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_InteractionsPackage.eNS_URI) instanceof Common_Behavior_InteractionsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_InteractionsPackage.eNS_URI) : Common_Behavior_InteractionsPackage.eINSTANCE);
		Common_Behavior_FragmentsPackageImpl theCommon_Behavior_FragmentsPackage = (Common_Behavior_FragmentsPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_FragmentsPackage.eNS_URI) instanceof Common_Behavior_FragmentsPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_FragmentsPackage.eNS_URI) : Common_Behavior_FragmentsPackage.eINSTANCE);
		Common_ConfigurationPackageImpl theCommon_ConfigurationPackage = (Common_ConfigurationPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Common_ConfigurationPackage.eNS_URI) instanceof Common_ConfigurationPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Common_ConfigurationPackage.eNS_URI) : Common_ConfigurationPackage.eINSTANCE);
		Common_DatapoolPackageImpl theCommon_DatapoolPackage = (Common_DatapoolPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(Common_DatapoolPackage.eNS_URI) instanceof Common_DatapoolPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(Common_DatapoolPackage.eNS_URI) : Common_DatapoolPackage.eINSTANCE);

		// Create package meta-data objects
		theCommon_TestprofilePackage.createPackageContents();
		theCommonPackage.createPackageContents();
		theCommon_Behavior_InteractionsPackage.createPackageContents();
		theCommon_Behavior_FragmentsPackage.createPackageContents();
		theCommon_ConfigurationPackage.createPackageContents();
		theCommon_DatapoolPackage.createPackageContents();

		// Initialize created meta-data
		theCommon_TestprofilePackage.initializePackageContents();
		theCommonPackage.initializePackageContents();
		theCommon_Behavior_InteractionsPackage.initializePackageContents();
		theCommon_Behavior_FragmentsPackage.initializePackageContents();
		theCommon_ConfigurationPackage.initializePackageContents();
		theCommon_DatapoolPackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theCommon_TestprofilePackage.freeze();

  
		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(Common_TestprofilePackage.eNS_URI, theCommon_TestprofilePackage);
		return theCommon_TestprofilePackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFDeployment() {
		return tpfDeploymentEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDeployment_Locations() {
		return (EReference)tpfDeploymentEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDeployment_RefLocations() {
		return (EReference)tpfDeploymentEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDeployment_ArtifactLocations() {
		return (EReference)tpfDeploymentEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDeployment_TestSuites() {
		return (EReference)tpfDeploymentEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDeployment_Artifacts() {
		return (EReference)tpfDeploymentEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFLiteralAnyorNull() {
		return tpfLiteralAnyorNullEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFLiteralAnyorNull_Value() {
		return (EReference)tpfLiteralAnyorNullEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFLiteralAny() {
		return tpfLiteralAnyEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFLiteralAny_Value() {
		return (EReference)tpfLiteralAnyEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFInstanceValue() {
		return tpfInstanceValueEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFInstanceValue_LiteralAny() {
		return (EReference)tpfInstanceValueEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFInstanceValue_LiteralAnyOrNull() {
		return (EReference)tpfInstanceValueEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFInstanceValue_Coding() {
		return (EReference)tpfInstanceValueEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFExecutionResult() {
		return tpfExecutionResultEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExecutionResult_TestVersion() {
		return (EAttribute)tpfExecutionResultEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExecutionResult_Verdict() {
		return (EAttribute)tpfExecutionResultEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExecutionResult_Type() {
		return (EAttribute)tpfExecutionResultEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionResult_Deployment() {
		return (EReference)tpfExecutionResultEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionResult_ExecutionHistory() {
		return (EReference)tpfExecutionResultEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionResult_InvocationExecutionEvent() {
		return (EReference)tpfExecutionResultEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionResult_Test() {
		return (EReference)tpfExecutionResultEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionResult_EObjectReferences() {
		return (EReference)tpfExecutionResultEClass.getEStructuralFeatures().get(7);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionResult_VerdictLists() {
		return (EReference)tpfExecutionResultEClass.getEStructuralFeatures().get(8);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionResult_Records() {
		return (EReference)tpfExecutionResultEClass.getEStructuralFeatures().get(9);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFLogAction() {
		return tpfLogActionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFDefault() {
		return tpfDefaultEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDefault_DefaultApplications() {
		return (EReference)tpfDefaultEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFDefaultApplication() {
		return tpfDefaultApplicationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDefaultApplication_TestComponent() {
		return (EReference)tpfDefaultApplicationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDefaultApplication_MessageEnd() {
		return (EReference)tpfDefaultApplicationEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDefaultApplication_Lifeline() {
		return (EReference)tpfDefaultApplicationEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDefaultApplication_InteractionFragment() {
		return (EReference)tpfDefaultApplicationEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFDefaultApplication_Default() {
		return (EReference)tpfDefaultApplicationEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFBehavior() {
		return tpfBehaviorEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFBehavior_IsReentrant() {
		return (EAttribute)tpfBehaviorEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFBehavior_Resource() {
		return (EAttribute)tpfBehaviorEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFBehavior_Location() {
		return (EAttribute)tpfBehaviorEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFBehavior_Interaction() {
		return (EReference)tpfBehaviorEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFBehavior_Arbiter() {
		return (EReference)tpfBehaviorEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFBehavior_TestComponent() {
		return (EReference)tpfBehaviorEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFBehavior_Test() {
		return (EReference)tpfBehaviorEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFTestCase() {
		return tpfTestCaseEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestCase_TestSuite() {
		return (EReference)tpfTestCaseEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestCase_Instances() {
		return (EReference)tpfTestCaseEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFArbiter() {
		return tpfArbiterEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFArbiter_Behaviors() {
		return (EReference)tpfArbiterEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFArbiter_TestSuite() {
		return (EReference)tpfArbiterEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFCodingRule() {
		return tpfCodingRuleEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFCodingRule_Coding() {
		return (EAttribute)tpfCodingRuleEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFCodingRule_Value() {
		return (EReference)tpfCodingRuleEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFSUT() {
		return tpfsutEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFSUT_Location() {
		return (EAttribute)tpfsutEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFSUT_Resource() {
		return (EAttribute)tpfsutEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFSUT_TestSuite() {
		return (EReference)tpfsutEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFTestSuite() {
		return tpfTestSuiteEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFTestSuite_PersistenceId() {
		return (EAttribute)tpfTestSuiteEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestSuite_TestCases() {
		return (EReference)tpfTestSuiteEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestSuite_SUTs() {
		return (EReference)tpfTestSuiteEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestSuite_Arbiter() {
		return (EReference)tpfTestSuiteEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestSuite_TestComponents() {
		return (EReference)tpfTestSuiteEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestSuite_ReferencedSuites() {
		return (EReference)tpfTestSuiteEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestSuite_Datapools() {
		return (EReference)tpfTestSuiteEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFTestObjective() {
		return tpfTestObjectiveEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFTestObjective_Type() {
		return (EAttribute)tpfTestObjectiveEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFTestObjective_Reference() {
		return (EAttribute)tpfTestObjectiveEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestObjective_Test() {
		return (EReference)tpfTestObjectiveEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFTestComponent() {
		return tpfTestComponentEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFTestComponent_Type() {
		return (EAttribute)tpfTestComponentEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestComponent_Behaviors() {
		return (EReference)tpfTestComponentEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestComponent_TestSuite() {
		return (EReference)tpfTestComponentEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTestComponent_Datapools() {
		return (EReference)tpfTestComponentEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFTimezone() {
		return tpfTimezoneEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFTimezone_Name() {
		return (EAttribute)tpfTimezoneEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFTimezone_Description() {
		return (EAttribute)tpfTimezoneEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTimezone_Locations() {
		return (EReference)tpfTimezoneEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFValidationAction() {
		return tpfValidationActionEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFExecutionHistory() {
		return tpfExecutionHistoryEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionHistory_ExecutionResult() {
		return (EReference)tpfExecutionHistoryEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionHistory_ExecutionEvents() {
		return (EReference)tpfExecutionHistoryEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFExecutionEvent() {
		return tpfExecutionEventEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExecutionEvent_OwnerId() {
		return (EAttribute)tpfExecutionEventEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExecutionEvent_Timestamp() {
		return (EAttribute)tpfExecutionEventEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExecutionEvent_Text() {
		return (EAttribute)tpfExecutionEventEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExecutionEvent_EventType() {
		return (EAttribute)tpfExecutionEventEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExecutionEvent_ScriptFileURI() {
		return (EAttribute)tpfExecutionEventEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExecutionEvent_ScriptLineNumber() {
		return (EAttribute)tpfExecutionEventEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionEvent_ExecutionHistory() {
		return (EReference)tpfExecutionEventEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionEvent_InteractionFragment() {
		return (EReference)tpfExecutionEventEClass.getEStructuralFeatures().get(7);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionEvent_Children() {
		return (EReference)tpfExecutionEventEClass.getEStructuralFeatures().get(8);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionEvent_Parent() {
		return (EReference)tpfExecutionEventEClass.getEStructuralFeatures().get(9);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionEvent_Properties() {
		return (EReference)tpfExecutionEventEClass.getEStructuralFeatures().get(10);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionEvent_Annotations() {
		return (EReference)tpfExecutionEventEClass.getEStructuralFeatures().get(11);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionEvent_EObjectReferences() {
		return (EReference)tpfExecutionEventEClass.getEStructuralFeatures().get(12);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExecutionEvent_DefectRecords() {
		return (EReference)tpfExecutionEventEClass.getEStructuralFeatures().get(13);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFExecutionStatus() {
		return tpfExecutionStatusEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFInvocationEvent() {
		return tpfInvocationEventEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFInvocationEvent_Status() {
		return (EAttribute)tpfInvocationEventEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFInvocationEvent_Reason() {
		return (EAttribute)tpfInvocationEventEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFInvocationEvent_InvokedExecutionResult() {
		return (EReference)tpfInvocationEventEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFVerdictEvent() {
		return tpfVerdictEventEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFVerdictEvent_Verdict() {
		return (EAttribute)tpfVerdictEventEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFVerdictEvent_Reason() {
		return (EAttribute)tpfVerdictEventEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFVerdictEvent_CausedBy() {
		return (EReference)tpfVerdictEventEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFMessageEvent() {
		return tpfMessageEventEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFMessageEvent_Severity() {
		return (EAttribute)tpfMessageEventEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFTypedEvent() {
		return tpfTypedEventEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFTypedEvent_Type() {
		return (EAttribute)tpfTypedEventEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFTest() {
		return tpfTestEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFTest_Type() {
		return (EAttribute)tpfTestEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTest_TestObjectives() {
		return (EReference)tpfTestEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFTest_Behavior() {
		return (EReference)tpfTestEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFLoopEvent() {
		return tpfLoopEventEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFLoopEvent_Iterations() {
		return (EAttribute)tpfLoopEventEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFLoopEvent_Asynchronous() {
		return (EAttribute)tpfLoopEventEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFTimedEvent() {
		return tpfTimedEventEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFTimedEvent_EndTimestamp() {
		return (EAttribute)tpfTimedEventEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFWaitEvent() {
		return tpfWaitEventEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getEObjectReference() {
		return eObjectReferenceEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEObjectReference_Name() {
		return (EAttribute)eObjectReferenceEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEObjectReference_Type() {
		return (EAttribute)eObjectReferenceEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getEObjectReference_EObject() {
		return (EReference)eObjectReferenceEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFVerdictList() {
		return tpfVerdictListEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFVerdictList_Type() {
		return (EAttribute)tpfVerdictListEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFVerdictList_VerdictEvents() {
		return (EReference)tpfVerdictListEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFReasonToVerdictMapEntry() {
		return tpfReasonToVerdictMapEntryEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFReasonToVerdictMapEntry_Value() {
		return (EAttribute)tpfReasonToVerdictMapEntryEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFReasonToVerdictMapEntry_Key() {
		return (EAttribute)tpfReasonToVerdictMapEntryEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFExtendedReasonToVerdictMapEntry() {
		return tpfExtendedReasonToVerdictMapEntryEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFExtendedReasonToVerdictMapEntry_Key() {
		return (EReference)tpfExtendedReasonToVerdictMapEntryEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getITPFExtendedVerdictReason() {
		return itpfExtendedVerdictReasonEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTPFRepositoryRecord() {
		return tpfRepositoryRecordEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFRepositoryRecord_ID() {
		return (EAttribute)tpfRepositoryRecordEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFRepositoryRecord_URI() {
		return (EAttribute)tpfRepositoryRecordEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFRepositoryRecord_Label() {
		return (EAttribute)tpfRepositoryRecordEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFRepositoryRecord_Type() {
		return (EAttribute)tpfRepositoryRecordEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFRepositoryRecord_ExecutionEvent() {
		return (EReference)tpfRepositoryRecordEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTPFRepositoryRecord_ExecutionResult() {
		return (EReference)tpfRepositoryRecordEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTPFExtendedReasonToVerdictMapEntry_Value() {
		return (EAttribute)tpfExtendedReasonToVerdictMapEntryEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getTPFVerdict() {
		return tpfVerdictEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getTPFExecutionType() {
		return tpfExecutionTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getTPFSeverity() {
		return tpfSeverityEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getTPFInvocationStatus() {
		return tpfInvocationStatusEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getTPFVerdictReason() {
		return tpfVerdictReasonEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getTPFInvocationReason() {
		return tpfInvocationReasonEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Common_TestprofileFactory getCommon_TestprofileFactory() {
		return (Common_TestprofileFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		tpfDeploymentEClass = createEClass(TPF_DEPLOYMENT);
		createEReference(tpfDeploymentEClass, TPF_DEPLOYMENT__LOCATIONS);
		createEReference(tpfDeploymentEClass, TPF_DEPLOYMENT__REF_LOCATIONS);
		createEReference(tpfDeploymentEClass, TPF_DEPLOYMENT__ARTIFACT_LOCATIONS);
		createEReference(tpfDeploymentEClass, TPF_DEPLOYMENT__TEST_SUITES);
		createEReference(tpfDeploymentEClass, TPF_DEPLOYMENT__ARTIFACTS);

		tpfLiteralAnyorNullEClass = createEClass(TPF_LITERAL_ANYOR_NULL);
		createEReference(tpfLiteralAnyorNullEClass, TPF_LITERAL_ANYOR_NULL__VALUE);

		tpfLiteralAnyEClass = createEClass(TPF_LITERAL_ANY);
		createEReference(tpfLiteralAnyEClass, TPF_LITERAL_ANY__VALUE);

		tpfInstanceValueEClass = createEClass(TPF_INSTANCE_VALUE);
		createEReference(tpfInstanceValueEClass, TPF_INSTANCE_VALUE__LITERAL_ANY);
		createEReference(tpfInstanceValueEClass, TPF_INSTANCE_VALUE__LITERAL_ANY_OR_NULL);
		createEReference(tpfInstanceValueEClass, TPF_INSTANCE_VALUE__CODING);

		tpfExecutionResultEClass = createEClass(TPF_EXECUTION_RESULT);
		createEAttribute(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__TEST_VERSION);
		createEAttribute(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__VERDICT);
		createEAttribute(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__TYPE);
		createEReference(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__DEPLOYMENT);
		createEReference(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__EXECUTION_HISTORY);
		createEReference(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__INVOCATION_EXECUTION_EVENT);
		createEReference(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__TEST);
		createEReference(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__EOBJECT_REFERENCES);
		createEReference(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__VERDICT_LISTS);
		createEReference(tpfExecutionResultEClass, TPF_EXECUTION_RESULT__RECORDS);

		tpfLogActionEClass = createEClass(TPF_LOG_ACTION);

		tpfDefaultEClass = createEClass(TPF_DEFAULT);
		createEReference(tpfDefaultEClass, TPF_DEFAULT__DEFAULT_APPLICATIONS);

		tpfDefaultApplicationEClass = createEClass(TPF_DEFAULT_APPLICATION);
		createEReference(tpfDefaultApplicationEClass, TPF_DEFAULT_APPLICATION__TEST_COMPONENT);
		createEReference(tpfDefaultApplicationEClass, TPF_DEFAULT_APPLICATION__MESSAGE_END);
		createEReference(tpfDefaultApplicationEClass, TPF_DEFAULT_APPLICATION__LIFELINE);
		createEReference(tpfDefaultApplicationEClass, TPF_DEFAULT_APPLICATION__INTERACTION_FRAGMENT);
		createEReference(tpfDefaultApplicationEClass, TPF_DEFAULT_APPLICATION__DEFAULT);

		tpfBehaviorEClass = createEClass(TPF_BEHAVIOR);
		createEReference(tpfBehaviorEClass, TPF_BEHAVIOR__INTERACTION);
		createEAttribute(tpfBehaviorEClass, TPF_BEHAVIOR__IS_REENTRANT);
		createEAttribute(tpfBehaviorEClass, TPF_BEHAVIOR__RESOURCE);
		createEAttribute(tpfBehaviorEClass, TPF_BEHAVIOR__LOCATION);
		createEReference(tpfBehaviorEClass, TPF_BEHAVIOR__ARBITER);
		createEReference(tpfBehaviorEClass, TPF_BEHAVIOR__TEST_COMPONENT);
		createEReference(tpfBehaviorEClass, TPF_BEHAVIOR__TEST);

		tpfTestCaseEClass = createEClass(TPF_TEST_CASE);
		createEReference(tpfTestCaseEClass, TPF_TEST_CASE__TEST_SUITE);
		createEReference(tpfTestCaseEClass, TPF_TEST_CASE__INSTANCES);

		tpfArbiterEClass = createEClass(TPF_ARBITER);
		createEReference(tpfArbiterEClass, TPF_ARBITER__BEHAVIORS);
		createEReference(tpfArbiterEClass, TPF_ARBITER__TEST_SUITE);

		tpfCodingRuleEClass = createEClass(TPF_CODING_RULE);
		createEAttribute(tpfCodingRuleEClass, TPF_CODING_RULE__CODING);
		createEReference(tpfCodingRuleEClass, TPF_CODING_RULE__VALUE);

		tpfsutEClass = createEClass(TPFSUT);
		createEAttribute(tpfsutEClass, TPFSUT__LOCATION);
		createEAttribute(tpfsutEClass, TPFSUT__RESOURCE);
		createEReference(tpfsutEClass, TPFSUT__TEST_SUITE);

		tpfTestSuiteEClass = createEClass(TPF_TEST_SUITE);
		createEAttribute(tpfTestSuiteEClass, TPF_TEST_SUITE__PERSISTENCE_ID);
		createEReference(tpfTestSuiteEClass, TPF_TEST_SUITE__TEST_CASES);
		createEReference(tpfTestSuiteEClass, TPF_TEST_SUITE__SU_TS);
		createEReference(tpfTestSuiteEClass, TPF_TEST_SUITE__ARBITER);
		createEReference(tpfTestSuiteEClass, TPF_TEST_SUITE__TEST_COMPONENTS);
		createEReference(tpfTestSuiteEClass, TPF_TEST_SUITE__REFERENCED_SUITES);
		createEReference(tpfTestSuiteEClass, TPF_TEST_SUITE__DATAPOOLS);

		tpfTestObjectiveEClass = createEClass(TPF_TEST_OBJECTIVE);
		createEAttribute(tpfTestObjectiveEClass, TPF_TEST_OBJECTIVE__TYPE);
		createEAttribute(tpfTestObjectiveEClass, TPF_TEST_OBJECTIVE__REFERENCE);
		createEReference(tpfTestObjectiveEClass, TPF_TEST_OBJECTIVE__TEST);

		tpfTestComponentEClass = createEClass(TPF_TEST_COMPONENT);
		createEAttribute(tpfTestComponentEClass, TPF_TEST_COMPONENT__TYPE);
		createEReference(tpfTestComponentEClass, TPF_TEST_COMPONENT__BEHAVIORS);
		createEReference(tpfTestComponentEClass, TPF_TEST_COMPONENT__TEST_SUITE);
		createEReference(tpfTestComponentEClass, TPF_TEST_COMPONENT__DATAPOOLS);

		tpfTimezoneEClass = createEClass(TPF_TIMEZONE);
		createEAttribute(tpfTimezoneEClass, TPF_TIMEZONE__NAME);
		createEAttribute(tpfTimezoneEClass, TPF_TIMEZONE__DESCRIPTION);
		createEReference(tpfTimezoneEClass, TPF_TIMEZONE__LOCATIONS);

		tpfValidationActionEClass = createEClass(TPF_VALIDATION_ACTION);

		tpfExecutionHistoryEClass = createEClass(TPF_EXECUTION_HISTORY);
		createEReference(tpfExecutionHistoryEClass, TPF_EXECUTION_HISTORY__EXECUTION_RESULT);
		createEReference(tpfExecutionHistoryEClass, TPF_EXECUTION_HISTORY__EXECUTION_EVENTS);

		tpfExecutionEventEClass = createEClass(TPF_EXECUTION_EVENT);
		createEAttribute(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__OWNER_ID);
		createEAttribute(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__TIMESTAMP);
		createEAttribute(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__TEXT);
		createEAttribute(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__EVENT_TYPE);
		createEAttribute(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__SCRIPT_FILE_URI);
		createEAttribute(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__SCRIPT_LINE_NUMBER);
		createEReference(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__EXECUTION_HISTORY);
		createEReference(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__INTERACTION_FRAGMENT);
		createEReference(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__CHILDREN);
		createEReference(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__PARENT);
		createEReference(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__PROPERTIES);
		createEReference(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__ANNOTATIONS);
		createEReference(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__EOBJECT_REFERENCES);
		createEReference(tpfExecutionEventEClass, TPF_EXECUTION_EVENT__DEFECT_RECORDS);

		tpfExecutionStatusEClass = createEClass(TPF_EXECUTION_STATUS);

		tpfInvocationEventEClass = createEClass(TPF_INVOCATION_EVENT);
		createEAttribute(tpfInvocationEventEClass, TPF_INVOCATION_EVENT__STATUS);
		createEAttribute(tpfInvocationEventEClass, TPF_INVOCATION_EVENT__REASON);
		createEReference(tpfInvocationEventEClass, TPF_INVOCATION_EVENT__INVOKED_EXECUTION_RESULT);

		tpfVerdictEventEClass = createEClass(TPF_VERDICT_EVENT);
		createEAttribute(tpfVerdictEventEClass, TPF_VERDICT_EVENT__VERDICT);
		createEAttribute(tpfVerdictEventEClass, TPF_VERDICT_EVENT__REASON);
		createEReference(tpfVerdictEventEClass, TPF_VERDICT_EVENT__CAUSED_BY);

		tpfMessageEventEClass = createEClass(TPF_MESSAGE_EVENT);
		createEAttribute(tpfMessageEventEClass, TPF_MESSAGE_EVENT__SEVERITY);

		tpfTypedEventEClass = createEClass(TPF_TYPED_EVENT);
		createEAttribute(tpfTypedEventEClass, TPF_TYPED_EVENT__TYPE);

		tpfTestEClass = createEClass(TPF_TEST);
		createEAttribute(tpfTestEClass, TPF_TEST__TYPE);
		createEReference(tpfTestEClass, TPF_TEST__TEST_OBJECTIVES);
		createEReference(tpfTestEClass, TPF_TEST__BEHAVIOR);

		tpfLoopEventEClass = createEClass(TPF_LOOP_EVENT);
		createEAttribute(tpfLoopEventEClass, TPF_LOOP_EVENT__ITERATIONS);
		createEAttribute(tpfLoopEventEClass, TPF_LOOP_EVENT__ASYNCHRONOUS);

		tpfTimedEventEClass = createEClass(TPF_TIMED_EVENT);
		createEAttribute(tpfTimedEventEClass, TPF_TIMED_EVENT__END_TIMESTAMP);

		tpfWaitEventEClass = createEClass(TPF_WAIT_EVENT);

		eObjectReferenceEClass = createEClass(EOBJECT_REFERENCE);
		createEAttribute(eObjectReferenceEClass, EOBJECT_REFERENCE__NAME);
		createEAttribute(eObjectReferenceEClass, EOBJECT_REFERENCE__TYPE);
		createEReference(eObjectReferenceEClass, EOBJECT_REFERENCE__EOBJECT);

		tpfVerdictListEClass = createEClass(TPF_VERDICT_LIST);
		createEAttribute(tpfVerdictListEClass, TPF_VERDICT_LIST__TYPE);
		createEReference(tpfVerdictListEClass, TPF_VERDICT_LIST__VERDICT_EVENTS);

		tpfReasonToVerdictMapEntryEClass = createEClass(TPF_REASON_TO_VERDICT_MAP_ENTRY);
		createEAttribute(tpfReasonToVerdictMapEntryEClass, TPF_REASON_TO_VERDICT_MAP_ENTRY__VALUE);
		createEAttribute(tpfReasonToVerdictMapEntryEClass, TPF_REASON_TO_VERDICT_MAP_ENTRY__KEY);

		tpfExtendedReasonToVerdictMapEntryEClass = createEClass(TPF_EXTENDED_REASON_TO_VERDICT_MAP_ENTRY);
		createEAttribute(tpfExtendedReasonToVerdictMapEntryEClass, TPF_EXTENDED_REASON_TO_VERDICT_MAP_ENTRY__VALUE);
		createEReference(tpfExtendedReasonToVerdictMapEntryEClass, TPF_EXTENDED_REASON_TO_VERDICT_MAP_ENTRY__KEY);

		itpfExtendedVerdictReasonEClass = createEClass(ITPF_EXTENDED_VERDICT_REASON);

		tpfRepositoryRecordEClass = createEClass(TPF_REPOSITORY_RECORD);
		createEAttribute(tpfRepositoryRecordEClass, TPF_REPOSITORY_RECORD__ID);
		createEAttribute(tpfRepositoryRecordEClass, TPF_REPOSITORY_RECORD__URI);
		createEAttribute(tpfRepositoryRecordEClass, TPF_REPOSITORY_RECORD__TYPE);
		createEAttribute(tpfRepositoryRecordEClass, TPF_REPOSITORY_RECORD__LABEL);
		createEReference(tpfRepositoryRecordEClass, TPF_REPOSITORY_RECORD__EXECUTION_EVENT);
		createEReference(tpfRepositoryRecordEClass, TPF_REPOSITORY_RECORD__EXECUTION_RESULT);

		// Create enums
		tpfVerdictEEnum = createEEnum(TPF_VERDICT);
		tpfExecutionTypeEEnum = createEEnum(TPF_EXECUTION_TYPE);
		tpfSeverityEEnum = createEEnum(TPF_SEVERITY);
		tpfInvocationStatusEEnum = createEEnum(TPF_INVOCATION_STATUS);
		tpfVerdictReasonEEnum = createEEnum(TPF_VERDICT_REASON);
		tpfInvocationReasonEEnum = createEEnum(TPF_INVOCATION_REASON);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Obtain other dependent packages
		Common_ConfigurationPackage theCommon_ConfigurationPackage = (Common_ConfigurationPackage)EPackage.Registry.INSTANCE.getEPackage(Common_ConfigurationPackage.eNS_URI);
		CommonPackage theCommonPackage = (CommonPackage)EPackage.Registry.INSTANCE.getEPackage(CommonPackage.eNS_URI);
		Common_Behavior_InteractionsPackage theCommon_Behavior_InteractionsPackage = (Common_Behavior_InteractionsPackage)EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_InteractionsPackage.eNS_URI);
		Common_Behavior_FragmentsPackage theCommon_Behavior_FragmentsPackage = (Common_Behavior_FragmentsPackage)EPackage.Registry.INSTANCE.getEPackage(Common_Behavior_FragmentsPackage.eNS_URI);
		Common_DatapoolPackage theCommon_DatapoolPackage = (Common_DatapoolPackage)EPackage.Registry.INSTANCE.getEPackage(Common_DatapoolPackage.eNS_URI);
		EcorePackage theEcorePackage = (EcorePackage)EPackage.Registry.INSTANCE.getEPackage(EcorePackage.eNS_URI);

		// Create type parameters

		// Set bounds for type parameters

		// Add supertypes to classes
		tpfDeploymentEClass.getESuperTypes().add(theCommon_ConfigurationPackage.getCFGConfigurableObject());
		tpfInstanceValueEClass.getESuperTypes().add(theCommonPackage.getCMNNamedElement());
		tpfExecutionResultEClass.getESuperTypes().add(theCommonPackage.getCMNNamedElement());
		tpfLogActionEClass.getESuperTypes().add(theCommon_Behavior_InteractionsPackage.getBVREventOccurrence());
		tpfDefaultEClass.getESuperTypes().add(this.getTPFBehavior());
		tpfBehaviorEClass.getESuperTypes().add(theCommonPackage.getCMNNamedElement());
		tpfTestCaseEClass.getESuperTypes().add(this.getTPFTest());
		tpfArbiterEClass.getESuperTypes().add(theCommon_ConfigurationPackage.getCFGClass());
		tpfsutEClass.getESuperTypes().add(theCommon_ConfigurationPackage.getCFGClass());
		tpfTestSuiteEClass.getESuperTypes().add(theCommon_ConfigurationPackage.getCFGClass());
		tpfTestSuiteEClass.getESuperTypes().add(this.getTPFTest());
		tpfTestObjectiveEClass.getESuperTypes().add(theCommonPackage.getCMNNamedElement());
		tpfTestComponentEClass.getESuperTypes().add(theCommon_ConfigurationPackage.getCFGClass());
		tpfValidationActionEClass.getESuperTypes().add(theCommon_Behavior_InteractionsPackage.getBVREventOccurrence());
		tpfExecutionEventEClass.getESuperTypes().add(theCommonPackage.getCMNNamedElement());
		tpfInvocationEventEClass.getESuperTypes().add(this.getTPFExecutionEvent());
		tpfVerdictEventEClass.getESuperTypes().add(this.getTPFExecutionEvent());
		tpfMessageEventEClass.getESuperTypes().add(this.getTPFExecutionEvent());
		tpfTypedEventEClass.getESuperTypes().add(this.getTPFExecutionEvent());
		tpfTestEClass.getESuperTypes().add(theCommonPackage.getCMNNamedElement());
		tpfLoopEventEClass.getESuperTypes().add(this.getTPFExecutionEvent());
		tpfTimedEventEClass.getESuperTypes().add(this.getTPFExecutionEvent());
		tpfWaitEventEClass.getESuperTypes().add(this.getTPFTimedEvent());

		// Initialize classes and features; add operations and parameters
		initEClass(tpfDeploymentEClass, TPFDeployment.class, "TPFDeployment", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFDeployment_Locations(), theCommon_ConfigurationPackage.getCFGLocation(), theCommon_ConfigurationPackage.getCFGLocation_Deployment(), "locations", null, 0, -1, TPFDeployment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFDeployment_RefLocations(), theCommon_ConfigurationPackage.getCFGLocation(), null, "refLocations", null, 0, -1, TPFDeployment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFDeployment_ArtifactLocations(), theCommon_ConfigurationPackage.getCFGArtifactLocationPair(), null, "artifactLocations", null, 0, -1, TPFDeployment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFDeployment_TestSuites(), this.getTPFTestSuite(), null, "testSuites", null, 0, -1, TPFDeployment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFDeployment_Artifacts(), theCommon_ConfigurationPackage.getCFGArtifact(), null, "artifacts", null, 0, -1, TPFDeployment.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfLiteralAnyorNullEClass, TPFLiteralAnyorNull.class, "TPFLiteralAnyorNull", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFLiteralAnyorNull_Value(), this.getTPFInstanceValue(), this.getTPFInstanceValue_LiteralAnyOrNull(), "value", null, 1, 1, TPFLiteralAnyorNull.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfLiteralAnyEClass, TPFLiteralAny.class, "TPFLiteralAny", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFLiteralAny_Value(), this.getTPFInstanceValue(), this.getTPFInstanceValue_LiteralAny(), "value", null, 1, 1, TPFLiteralAny.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfInstanceValueEClass, TPFInstanceValue.class, "TPFInstanceValue", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFInstanceValue_LiteralAny(), this.getTPFLiteralAny(), this.getTPFLiteralAny_Value(), "literalAny", null, 0, -1, TPFInstanceValue.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFInstanceValue_LiteralAnyOrNull(), this.getTPFLiteralAnyorNull(), this.getTPFLiteralAnyorNull_Value(), "literalAnyOrNull", null, 0, -1, TPFInstanceValue.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFInstanceValue_Coding(), this.getTPFCodingRule(), this.getTPFCodingRule_Value(), "coding", null, 1, -1, TPFInstanceValue.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfExecutionResultEClass, TPFExecutionResult.class, "TPFExecutionResult", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFExecutionResult_TestVersion(), ecorePackage.getEString(), "testVersion", null, 0, 1, TPFExecutionResult.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFExecutionResult_Verdict(), this.getTPFVerdict(), "verdict", null, 0, 1, TPFExecutionResult.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFExecutionResult_Type(), ecorePackage.getEString(), "type", null, 0, 1, TPFExecutionResult.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionResult_Deployment(), this.getTPFDeployment(), null, "deployment", null, 1, 1, TPFExecutionResult.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionResult_ExecutionHistory(), this.getTPFExecutionHistory(), this.getTPFExecutionHistory_ExecutionResult(), "executionHistory", null, 1, 1, TPFExecutionResult.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionResult_InvocationExecutionEvent(), this.getTPFInvocationEvent(), this.getTPFInvocationEvent_InvokedExecutionResult(), "invocationExecutionEvent", null, 0, 1, TPFExecutionResult.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionResult_Test(), this.getTPFTest(), null, "test", null, 1, 1, TPFExecutionResult.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionResult_EObjectReferences(), this.getEObjectReference(), null, "eObjectReferences", null, 0, -1, TPFExecutionResult.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionResult_VerdictLists(), this.getTPFVerdictList(), null, "verdictLists", null, 0, -1, TPFExecutionResult.class, IS_TRANSIENT, IS_VOLATILE, !IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionResult_Records(), this.getTPFRepositoryRecord(), this.getTPFRepositoryRecord_ExecutionResult(), "records", null, 0, -1, TPFExecutionResult.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfLogActionEClass, TPFLogAction.class, "TPFLogAction", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(tpfDefaultEClass, TPFDefault.class, "TPFDefault", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFDefault_DefaultApplications(), this.getTPFDefaultApplication(), this.getTPFDefaultApplication_Default(), "defaultApplications", null, 0, -1, TPFDefault.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfDefaultApplicationEClass, TPFDefaultApplication.class, "TPFDefaultApplication", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFDefaultApplication_TestComponent(), this.getTPFTestComponent(), null, "testComponent", null, 0, 1, TPFDefaultApplication.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFDefaultApplication_MessageEnd(), theCommon_Behavior_InteractionsPackage.getBVRMessageEnd(), null, "messageEnd", null, 0, 1, TPFDefaultApplication.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFDefaultApplication_Lifeline(), theCommon_Behavior_InteractionsPackage.getBVRLifeline(), null, "lifeline", null, 0, 1, TPFDefaultApplication.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFDefaultApplication_InteractionFragment(), theCommon_Behavior_InteractionsPackage.getBVRInteractionFragment(), theCommon_Behavior_InteractionsPackage.getBVRInteractionFragment_DefaultApplication(), "interactionFragment", null, 0, 1, TPFDefaultApplication.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFDefaultApplication_Default(), this.getTPFDefault(), this.getTPFDefault_DefaultApplications(), "default", null, 1, 1, TPFDefaultApplication.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfBehaviorEClass, TPFBehavior.class, "TPFBehavior", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFBehavior_Interaction(), theCommon_Behavior_FragmentsPackage.getBVRInteraction(), theCommon_Behavior_FragmentsPackage.getBVRInteraction_Behavior(), "interaction", null, 0, 1, TPFBehavior.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFBehavior_IsReentrant(), ecorePackage.getEBooleanObject(), "isReentrant", null, 0, 1, TPFBehavior.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFBehavior_Resource(), ecorePackage.getEString(), "resource", null, 0, 1, TPFBehavior.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFBehavior_Location(), ecorePackage.getEString(), "location", null, 0, 1, TPFBehavior.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFBehavior_Arbiter(), this.getTPFArbiter(), this.getTPFArbiter_Behaviors(), "arbiter", null, 0, 1, TPFBehavior.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFBehavior_TestComponent(), this.getTPFTestComponent(), this.getTPFTestComponent_Behaviors(), "testComponent", null, 0, 1, TPFBehavior.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFBehavior_Test(), this.getTPFTest(), this.getTPFTest_Behavior(), "test", null, 0, 1, TPFBehavior.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfTestCaseEClass, TPFTestCase.class, "TPFTestCase", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFTestCase_TestSuite(), this.getTPFTestSuite(), this.getTPFTestSuite_TestCases(), "testSuite", null, 1, 1, TPFTestCase.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestCase_Instances(), theCommon_ConfigurationPackage.getCFGInstance(), theCommon_ConfigurationPackage.getCFGInstance_TestCase(), "instances", null, 0, -1, TPFTestCase.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfArbiterEClass, TPFArbiter.class, "TPFArbiter", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFArbiter_Behaviors(), this.getTPFBehavior(), this.getTPFBehavior_Arbiter(), "behaviors", null, 1, -1, TPFArbiter.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFArbiter_TestSuite(), this.getTPFTestSuite(), this.getTPFTestSuite_Arbiter(), "testSuite", null, 0, 1, TPFArbiter.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfCodingRuleEClass, TPFCodingRule.class, "TPFCodingRule", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFCodingRule_Coding(), ecorePackage.getEString(), "coding", null, 0, 1, TPFCodingRule.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFCodingRule_Value(), this.getTPFInstanceValue(), this.getTPFInstanceValue_Coding(), "value", null, 1, 1, TPFCodingRule.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfsutEClass, org.eclipse.hyades.models.common.testprofile.TPFSUT.class, "TPFSUT", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFSUT_Location(), ecorePackage.getEString(), "location", null, 0, 1, org.eclipse.hyades.models.common.testprofile.TPFSUT.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFSUT_Resource(), ecorePackage.getEString(), "resource", null, 0, 1, org.eclipse.hyades.models.common.testprofile.TPFSUT.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFSUT_TestSuite(), this.getTPFTestSuite(), this.getTPFTestSuite_SUTs(), "testSuite", null, 0, 1, org.eclipse.hyades.models.common.testprofile.TPFSUT.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfTestSuiteEClass, TPFTestSuite.class, "TPFTestSuite", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFTestSuite_PersistenceId(), ecorePackage.getEString(), "persistenceId", null, 0, 1, TPFTestSuite.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestSuite_TestCases(), this.getTPFTestCase(), this.getTPFTestCase_TestSuite(), "testCases", null, 0, -1, TPFTestSuite.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestSuite_SUTs(), this.getTPFSUT(), this.getTPFSUT_TestSuite(), "SUTs", null, 0, -1, TPFTestSuite.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestSuite_Arbiter(), this.getTPFArbiter(), this.getTPFArbiter_TestSuite(), "arbiter", null, 0, 1, TPFTestSuite.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestSuite_TestComponents(), this.getTPFTestComponent(), this.getTPFTestComponent_TestSuite(), "testComponents", null, 0, -1, TPFTestSuite.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestSuite_ReferencedSuites(), this.getTPFTestSuite(), null, "referencedSuites", null, 0, -1, TPFTestSuite.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestSuite_Datapools(), theCommon_DatapoolPackage.getDPLDatapool(), null, "datapools", null, 0, -1, TPFTestSuite.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfTestObjectiveEClass, TPFTestObjective.class, "TPFTestObjective", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFTestObjective_Type(), ecorePackage.getEString(), "type", null, 0, 1, TPFTestObjective.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFTestObjective_Reference(), ecorePackage.getEString(), "reference", null, 0, 1, TPFTestObjective.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestObjective_Test(), this.getTPFTest(), this.getTPFTest_TestObjectives(), "test", null, 1, 1, TPFTestObjective.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfTestComponentEClass, TPFTestComponent.class, "TPFTestComponent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFTestComponent_Type(), ecorePackage.getEString(), "type", null, 0, 1, TPFTestComponent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestComponent_Behaviors(), this.getTPFBehavior(), this.getTPFBehavior_TestComponent(), "behaviors", null, 1, -1, TPFTestComponent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestComponent_TestSuite(), this.getTPFTestSuite(), this.getTPFTestSuite_TestComponents(), "testSuite", null, 0, 1, TPFTestComponent.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTestComponent_Datapools(), theCommon_DatapoolPackage.getDPLDatapool(), null, "datapools", null, 0, -1, TPFTestComponent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfTimezoneEClass, TPFTimezone.class, "TPFTimezone", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFTimezone_Name(), ecorePackage.getEString(), "name", null, 0, 1, TPFTimezone.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFTimezone_Description(), ecorePackage.getEString(), "description", null, 0, 1, TPFTimezone.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTimezone_Locations(), theCommon_ConfigurationPackage.getCFGLocation(), theCommon_ConfigurationPackage.getCFGLocation_Timezone(), "locations", null, 0, -1, TPFTimezone.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfValidationActionEClass, TPFValidationAction.class, "TPFValidationAction", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(tpfExecutionHistoryEClass, TPFExecutionHistory.class, "TPFExecutionHistory", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getTPFExecutionHistory_ExecutionResult(), this.getTPFExecutionResult(), this.getTPFExecutionResult_ExecutionHistory(), "executionResult", null, 1, 1, TPFExecutionHistory.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionHistory_ExecutionEvents(), this.getTPFExecutionEvent(), this.getTPFExecutionEvent_ExecutionHistory(), "executionEvents", null, 1, -1, TPFExecutionHistory.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfExecutionEventEClass, TPFExecutionEvent.class, "TPFExecutionEvent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFExecutionEvent_OwnerId(), ecorePackage.getEString(), "ownerId", null, 0, 1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFExecutionEvent_Timestamp(), ecorePackage.getELong(), "timestamp", null, 0, 1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFExecutionEvent_Text(), ecorePackage.getEString(), "text", null, 0, 1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFExecutionEvent_EventType(), ecorePackage.getEString(), "eventType", null, 0, 1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFExecutionEvent_ScriptFileURI(), ecorePackage.getEString(), "scriptFileURI", null, 0, 1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFExecutionEvent_ScriptLineNumber(), ecorePackage.getELong(), "scriptLineNumber", null, 0, 1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionEvent_ExecutionHistory(), this.getTPFExecutionHistory(), this.getTPFExecutionHistory_ExecutionEvents(), "executionHistory", null, 1, 1, TPFExecutionEvent.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionEvent_InteractionFragment(), theCommon_Behavior_InteractionsPackage.getBVRInteractionFragment(), null, "interactionFragment", null, 0, 1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionEvent_Children(), this.getTPFExecutionEvent(), this.getTPFExecutionEvent_Parent(), "children", null, 0, -1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionEvent_Parent(), this.getTPFExecutionEvent(), this.getTPFExecutionEvent_Children(), "parent", null, 0, 1, TPFExecutionEvent.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionEvent_Properties(), theCommonPackage.getCMNDefaultProperty(), null, "properties", null, 0, -1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionEvent_Annotations(), theCommonPackage.getCMNAnnotation(), null, "annotations", null, 0, -1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionEvent_EObjectReferences(), this.getEObjectReference(), null, "eObjectReferences", null, 0, -1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExecutionEvent_DefectRecords(), this.getTPFRepositoryRecord(), this.getTPFRepositoryRecord_ExecutionEvent(), "defectRecords", null, 0, -1, TPFExecutionEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfExecutionStatusEClass, TPFExecutionStatus.class, "TPFExecutionStatus", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(tpfInvocationEventEClass, TPFInvocationEvent.class, "TPFInvocationEvent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFInvocationEvent_Status(), this.getTPFInvocationStatus(), "status", null, 0, 1, TPFInvocationEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFInvocationEvent_Reason(), this.getTPFInvocationReason(), "reason", null, 0, 1, TPFInvocationEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFInvocationEvent_InvokedExecutionResult(), this.getTPFExecutionResult(), this.getTPFExecutionResult_InvocationExecutionEvent(), "invokedExecutionResult", null, 0, 1, TPFInvocationEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfVerdictEventEClass, TPFVerdictEvent.class, "TPFVerdictEvent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFVerdictEvent_Verdict(), this.getTPFVerdict(), "verdict", null, 0, 1, TPFVerdictEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFVerdictEvent_Reason(), this.getTPFVerdictReason(), "reason", null, 0, 1, TPFVerdictEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFVerdictEvent_CausedBy(), this.getTPFExecutionEvent(), null, "causedBy", null, 0, -1, TPFVerdictEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfMessageEventEClass, TPFMessageEvent.class, "TPFMessageEvent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFMessageEvent_Severity(), this.getTPFSeverity(), "severity", null, 0, 1, TPFMessageEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfTypedEventEClass, TPFTypedEvent.class, "TPFTypedEvent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFTypedEvent_Type(), this.getTPFExecutionType(), "type", null, 0, 1, TPFTypedEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfTestEClass, TPFTest.class, "TPFTest", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFTest_Type(), ecorePackage.getEString(), "type", null, 0, 1, TPFTest.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTest_TestObjectives(), this.getTPFTestObjective(), this.getTPFTestObjective_Test(), "testObjectives", null, 1, -1, TPFTest.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFTest_Behavior(), this.getTPFBehavior(), this.getTPFBehavior_Test(), "behavior", null, 1, 1, TPFTest.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfLoopEventEClass, TPFLoopEvent.class, "TPFLoopEvent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFLoopEvent_Iterations(), ecorePackage.getELong(), "iterations", null, 0, 1, TPFLoopEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFLoopEvent_Asynchronous(), ecorePackage.getEBoolean(), "asynchronous", null, 0, 1, TPFLoopEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfTimedEventEClass, TPFTimedEvent.class, "TPFTimedEvent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFTimedEvent_EndTimestamp(), ecorePackage.getELong(), "endTimestamp", null, 0, 1, TPFTimedEvent.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfWaitEventEClass, TPFWaitEvent.class, "TPFWaitEvent", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(eObjectReferenceEClass, EObjectReference.class, "EObjectReference", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getEObjectReference_Name(), ecorePackage.getEString(), "name", null, 0, 1, EObjectReference.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getEObjectReference_Type(), ecorePackage.getEString(), "type", null, 0, 1, EObjectReference.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getEObjectReference_EObject(), theEcorePackage.getEObject(), null, "eObject", null, 1, 1, EObjectReference.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfVerdictListEClass, TPFVerdictList.class, "TPFVerdictList", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFVerdictList_Type(), ecorePackage.getEString(), "type", null, 0, 1, TPFVerdictList.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFVerdictList_VerdictEvents(), this.getTPFVerdictEvent(), null, "verdictEvents", null, 0, -1, TPFVerdictList.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfReasonToVerdictMapEntryEClass, Map.Entry.class, "TPFReasonToVerdictMapEntry", !IS_ABSTRACT, !IS_INTERFACE, !IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFReasonToVerdictMapEntry_Value(), this.getTPFVerdict(), "value", null, 0, 1, Map.Entry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFReasonToVerdictMapEntry_Key(), this.getTPFVerdictReason(), "key", null, 1, -1, Map.Entry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(tpfExtendedReasonToVerdictMapEntryEClass, Map.Entry.class, "TPFExtendedReasonToVerdictMapEntry", !IS_ABSTRACT, !IS_INTERFACE, !IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFExtendedReasonToVerdictMapEntry_Value(), this.getTPFVerdict(), "value", null, 0, 1, Map.Entry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFExtendedReasonToVerdictMapEntry_Key(), this.getITPFExtendedVerdictReason(), null, "key", null, 1, -1, Map.Entry.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(itpfExtendedVerdictReasonEClass, ITPFExtendedVerdictReason.class, "ITPFExtendedVerdictReason", IS_ABSTRACT, IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		addEOperation(itpfExtendedVerdictReasonEClass, ecorePackage.getEString(), "getId", 0, 1, IS_UNIQUE, IS_ORDERED);

		addEOperation(itpfExtendedVerdictReasonEClass, ecorePackage.getEString(), "getLabel", 0, 1, IS_UNIQUE, IS_ORDERED);

		initEClass(tpfRepositoryRecordEClass, TPFRepositoryRecord.class, "TPFRepositoryRecord", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTPFRepositoryRecord_ID(), ecorePackage.getEString(), "ID", null, 0, 1, TPFRepositoryRecord.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFRepositoryRecord_URI(), ecorePackage.getEString(), "URI", null, 0, 1, TPFRepositoryRecord.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFRepositoryRecord_Type(), ecorePackage.getEString(), "type", null, 0, 1, TPFRepositoryRecord.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTPFRepositoryRecord_Label(), ecorePackage.getEString(), "label", null, 0, 1, TPFRepositoryRecord.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFRepositoryRecord_ExecutionEvent(), this.getTPFExecutionEvent(), this.getTPFExecutionEvent_DefectRecords(), "executionEvent", null, 1, 1, TPFRepositoryRecord.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTPFRepositoryRecord_ExecutionResult(), this.getTPFExecutionResult(), this.getTPFExecutionResult_Records(), "executionResult", null, 1, 1, TPFRepositoryRecord.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		// Initialize enums and add enum literals
		initEEnum(tpfVerdictEEnum, TPFVerdict.class, "TPFVerdict");
		addEEnumLiteral(tpfVerdictEEnum, TPFVerdict.INCONCLUSIVE_LITERAL);
		addEEnumLiteral(tpfVerdictEEnum, TPFVerdict.PASS_LITERAL);
		addEEnumLiteral(tpfVerdictEEnum, TPFVerdict.FAIL_LITERAL);
		addEEnumLiteral(tpfVerdictEEnum, TPFVerdict.ERROR_LITERAL);

		initEEnum(tpfExecutionTypeEEnum, TPFExecutionType.class, "TPFExecutionType");
		addEEnumLiteral(tpfExecutionTypeEEnum, TPFExecutionType.START_LITERAL);
		addEEnumLiteral(tpfExecutionTypeEEnum, TPFExecutionType.STOP_LITERAL);

		initEEnum(tpfSeverityEEnum, TPFSeverity.class, "TPFSeverity");
		addEEnumLiteral(tpfSeverityEEnum, TPFSeverity.INFO_LITERAL);
		addEEnumLiteral(tpfSeverityEEnum, TPFSeverity.ERROR_LITERAL);
		addEEnumLiteral(tpfSeverityEEnum, TPFSeverity.WARNING_LITERAL);

		initEEnum(tpfInvocationStatusEEnum, TPFInvocationStatus.class, "TPFInvocationStatus");
		addEEnumLiteral(tpfInvocationStatusEEnum, TPFInvocationStatus.UNATTEMPTED_LITERAL);
		addEEnumLiteral(tpfInvocationStatusEEnum, TPFInvocationStatus.SUCCESSFUL_LITERAL);
		addEEnumLiteral(tpfInvocationStatusEEnum, TPFInvocationStatus.UNSUCCESSFUL_LITERAL);

		initEEnum(tpfVerdictReasonEEnum, TPFVerdictReason.class, "TPFVerdictReason");
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.UNKNOWN_LITERAL);
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.NONE_LITERAL);
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.SEE_DESCRIPTION_LITERAL);
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.ABORT_LITERAL);
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.DID_NOT_COMPLETE_LITERAL);
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.USER_INTERVENTION_LITERAL);
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.SUCCESS_LITERAL);
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.FAILURE_LITERAL);
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.EXCEPTION_LITERAL);
		addEEnumLiteral(tpfVerdictReasonEEnum, TPFVerdictReason.ERROR_LITERAL);

		initEEnum(tpfInvocationReasonEEnum, TPFInvocationReason.class, "TPFInvocationReason");
		addEEnumLiteral(tpfInvocationReasonEEnum, TPFInvocationReason.UNKNOWN_LITERAL);
		addEEnumLiteral(tpfInvocationReasonEEnum, TPFInvocationReason.NONE_LITERAL);
		addEEnumLiteral(tpfInvocationReasonEEnum, TPFInvocationReason.SEE_DESCRIPTION_LITERAL);
		addEEnumLiteral(tpfInvocationReasonEEnum, TPFInvocationReason.PRECONDITION_NOT_MET_LITERAL);
		addEEnumLiteral(tpfInvocationReasonEEnum, TPFInvocationReason.NO_MATCHING_CONFIGURATION_LITERAL);
		addEEnumLiteral(tpfInvocationReasonEEnum, TPFInvocationReason.NO_BEHAVIOR_LITERAL);
		addEEnumLiteral(tpfInvocationReasonEEnum, TPFInvocationReason.DID_NOT_START_LITERAL);
	}

} //Common_TestprofilePackageImpl
