/**********************************************************************
 * Copyright (c) 2003, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ISortElement.java,v 1.2 2007-12-01 00:06:21 apnan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.models.hierarchy.util;

/**
 * @author apnan
 */
public interface ISortElement {
	/**
	 * 
	 * the column for this sort element
	 * @return
	 */
	public String getSortColumn();
	
	/**
	 * 
	 * returns whether the sorting is done in ascending or descending order on this column
	 * @return
	 */
	public boolean isAscending();
}
