/********************************************************************** 
 * Copyright (c) 2008, 2010 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: RefactoringMessages.java,v 1.10 2010-05-21 20:02:58 paules Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/
package org.eclipse.hyades.test.ui.internal.navigator.refactoring.resources;

import org.eclipse.osgi.util.NLS;

/**
 * <p>RefactoringMessages.java</p>
 * 
 * 
 * @author  Jerome Gout
 * @author  Jerome Bozier
 * @version May 21, 2010
 * @since   March 20, 2008
 */
public class RefactoringMessages extends NLS {
	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.ui.internal.navigator.refactoring.resources.messages"; //$NON-NLS-1$

	public static String DELETE_FOLDER;
	public static String DELETE_PROJECT;
	public static String REMOVE_PROJECT;
	public static String DELETE_PROXY;
	public static String DELETE_INVOCATION;
	public static String DELETE_CONFIRM_1;
	public static String DELETE_CONFIRM_N;
	public static String DELETE_DEEP_REMOVE;
	public static String DELETING_FILE;
	public static String DELETE_FILE;
	
	public static String NO_FOLDER;
	public static String NO_PROJECT;
	public static String NOT_OPEN_PROJECT;
	public static String NOT_EXIST_PROJECT;
	public static String ERROR;

	public static String READ_ONLY_FOLDER;
	public static String READ_ONLY_PROJECT;
	public static String ALREADY_EXISTS_FOLDER;
	public static String ALREADY_EXISTS_PROJECT;
	public static String MOVE_FOLDER;
	public static String MOVE_CHOOSE_DESTINATION_SINGLE;
	public static String MOVE_CHOOSE_DESTINATION_MULTI;
	public static String MOVE_FILE;
	public static String MOVE_PROXY;
	
	public static String PASTE_FILE;
	public static String PASTE_FOLDER;
	public static String PASTE_PROXY;

	public static String ReorgRefactoring_CANCELED_OPERATION_MSG;
	public static String UPDATE_PROXY;
	public static String CHANGES_FOR_UPDATING;
	public static String UPDATE_PROXY_PATH_CHANGED;
	public static String UPDATE_REFERENCES;
	public static String UPDATE_OWNED_RESSOURCES_REFERENCES;
	public static String NO_FILE;
	public static String IO_ERROR_PASTING_FILE;
	public static String ALREADY_EXISTS_FILE;
	public static String READ_ONLY_FILE;
	public static String ALREADY_EXISTS_PROXY_DURING_MOVE;
	public static String ALREADY_EXISTS_PROXY_DURING_RENAME;
	public static String RENAME_FILE;
	public static String RENAME_PROXY;
	public static String RENAME_CONTAINER;
	public static String INNER_FOLDER_MOVE_ERROR;
	public static String INNER_FOLDER_PASTE_ERROR;
	
	public static String LaunchConfigurationUpdateChange_NAME;
	public static String LaunchConfigurationDeleteChange_NAME;
	public static String DeleteResources_delete_error_mixed_types;
	public static String DeleteResourcesWizard_project_deleteContents;
	public static String DeleteResourcesWizard_project_updateContents;
	
	public static String MISSING_RESOURCE;
	public static String MISSING_CONTAINER;
	public static String MISSING_NAME;
	public static String INVALID_NAME;
	public static String DUPLICATE_NAME;
	public static String LONG_NAME;

	public static String TestUIUtilities_CREATING_PROXIES_TASK;
	public static String TestUIUtil_SEARCHING_REFERENCES_TASK;


	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, RefactoringMessages.class);
	}

	private RefactoringMessages() {
	}
}
