/**********************************************************************
 * Copyright (c) 2005, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ReportSelectionWizardPage.java,v 1.6 2009-03-27 17:10:26 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.ui.internal.wizard;

import org.eclipse.hyades.test.ui.internal.resources.UiPluginResourceBundle;
import org.eclipse.hyades.ui.internal.wizard.selection.IWizardElement;
import org.eclipse.hyades.ui.internal.wizard.selection.SelectionPage;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IWorkbench;

/**
 * <p>ReportSelectionWizardPage.java.</p>
 * 
 * 
 * @author  Paul E. Slauenwhite
 * @author  Patrick Nedelec.
 * @version March 27, 2009
 * @since   March 17, 2005
 */
public class ReportSelectionWizardPage extends SelectionPage {

    /**
     * @param pageName
     * @param workbench
     * @param structuredSelection
     * @param wizardElements
     * @param message
     */
    public ReportSelectionWizardPage(String pageName, IWorkbench workbench, IStructuredSelection structuredSelection, IWizardElement[] wizardElements, String message) {
        super(pageName, workbench, structuredSelection, wizardElements, message);
        setTitle(UiPluginResourceBundle.WIZ_TST_REP_PG_TTL); 
        setDescription(UiPluginResourceBundle.WIZ_TST_REPP_PG_LOC_DSC); 
    }
}
