/**********************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: JavaOpenSourceProvider.java,v 1.5 2006-05-11 14:44:19 ewchan Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.trace.views.internal.context.java;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.hyades.trace.views.internal.TraceUIMessages;
import org.eclipse.hyades.trace.views.utils.JavaOpenSource;
import org.eclipse.hyades.ui.provisional.context.IContextOpenSourceProvider;

public class JavaOpenSourceProvider implements IContextOpenSourceProvider{

	public boolean openSource(String context, EObject eObj) {
		return JavaOpenSource.openSource(eObj,true);
	}

	public String getName() {
		return TraceUIMessages._226;
	}
}
