/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: TracePage.java,v 1.1 2005-07-22 14:49:35 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.uml2sd.trace.loaders.internal;


/**
 * Here are pages with their bounds
 */
public class TracePage {
	
	private double firstTime, lastTime;
	
	public TracePage(double first) {
		setFirstTime(first);
	}
	
	public void setFirstTime(double firstTime_) {
		firstTime = firstTime_;
	}
	public double getFirstTime() {
		return firstTime;
	}
	
	public void setLastTime(double lastTime_) {
		lastTime = lastTime_;
	}
	public double getLastTime() {
		return lastTime;
	}
}