/**********************************************************************
 * Copyright (c) 2006, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ProbekitLaunchImages.java,v 1.4 2007-05-04 03:32:11 jkubasta Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.tptp.platform.probekit.launch.internal;

import org.eclipse.hyades.ui.internal.util.ImageManager;


/**
 * Image manager for the Probekit Launch plugin.
 */
public class ProbekitLaunchImages
extends ImageManager
{
	/**
	 * ProbekitLaunchImages' singleton.
	 */
	public static final ProbekitLaunchImages INSTANCE = new ProbekitLaunchImages();
	
	/*
	 * Available cached Images in the Trace plugin image registry.
	 */
	public static final String IMG_PROP 				= "properties.gif";
	public static final String IMG_FILTER 				= "filter_obj.gif";

	/**
	 * @see org.eclipse.hyades.ui.util.ImageManager#addImages()
	 */
	protected void addImages()
	{
		add(T_OBJ, IMG_PROP);
		add(T_OBJ, IMG_FILTER);
	}	
}
