/* ***********************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DItemPointer.java,v 1.2 2008-05-23 14:11:47 jcayne Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/



package org.eclipse.tptp.platform.report.core.internal;


/**
 * A DItemPointer is a pointer. 
 * This element is not implemented yet.
 * 
 * @deprecated As of TPTP 4.5.0, use the TPTP Business Intelligence and Reporting Tools (BIRT) reporting infrastructure (<code>org.eclipse.tptp.platform.report.birt</code>).
 * 
 */
public class DItemPointer extends DItem 
{
   private DItem item = null;
   
   /**
    * Constructs a DItemPointer and initializes the item with it. 
    * 
    * @param it item
    */
   public DItemPointer(DItem it) 
   {
      item = it;    
   }
   
   /**
    * Constructs a DItemPointer.
     */
   public DItemPointer() 
   {
    
   }
   
   /**
    * Access method for the item property.
    * 
    * @return   the current value of the item property
    */
   public DItem getItem() 
   {
      return item;    
   }
   
   /**
    * Sets the value of the item property.
    * 
    * @param aItem the new value of the item property
    */
   public void setItem(DItem aItem) 
   {
      item = aItem;    
   }
}
