/**********************************************************************
 * Copyright (c) 2007, 2010 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: SamplesPluginResourceBundle.java,v 1.13 2010-05-20 13:49:41 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.tptp.test.samples.internal.resources;

import org.eclipse.osgi.util.NLS;

/**
 * <p>Plug-in level resource bundle.</p>
 * 
 * 
 * @author  Paul E. Slauenwhite
 * @version May 20, 2010
 * @since   March 15, 2007
 */
public final class SamplesPluginResourceBundle extends NLS {

	private static final String BUNDLE_NAME = "org.eclipse.tptp.test.samples.internal.resources.messages";//$NON-NLS-1$

	private SamplesPluginResourceBundle() {
		// Do not instantiate
	}

	public static String JScribWriter_NO_CHART_VALUE;
	public static String JScribWriter_NoVerdict;
	public static String TEST_REPORT_FONT_PREFERENCES_GROUP_NAME;
	public static String ReportWindowWizardPage_Title;
	public static String ReportWindowWizardPage_Description;
	public static String ReportWindowWizardPage_LABEL_STARTTIME;
	public static String ReportWindowWizardPage_LABEL_ENDTIME;
	public static String ReportWindowWizardPage_DATE_ERROR_;
	public static String StylesInitializer_TITLE1;
	public static String StylesInitializer_TITLE2;
	public static String StylesInitializer_TITLE3;
	public static String StylesInitializer_PASS;
	public static String StylesInitializer_FAIL;
	public static String StylesInitializer_INCONCLUSIVE;
	public static String StylesInitializer_ERROR;
	public static String StylesInitializer_PASS_CELL;
	public static String StylesInitializer_FAIL_CELL;
	public static String StylesInitializer_INCONCLUSIVE_CELL;
	public static String StylesInitializer_ERROR_CELL;
	public static String StylesInitializer_PASS_CELL_TEXT;
	public static String StylesInitializer_FAIL_CELL_TEXT;
	public static String StylesInitializer_INCONCLUSIVE_CELL_TEXT;
	public static String StylesInitializer_ERROR_CELL_TEXT;
	public static String StylesInitializer_HEADER_CELL;
	public static String StylesInitializer_NORMAL_CELL;
	public static String StylesInitializer_LINK_CELL;
	public static String StylesInitializer_RATE_CELL;
	public static String StylesInitializer_CHART_TITLE;
	public static String StylesInitializer_GENERATION_ERROR;
	public static String JScribWriter_Message;
	public static String JScribWriter_ResultsByTestSuite;
	public static String JScribWriter_Overview;
	public static String JScribWriter_Title_ExecutionResultsRepartition;
	public static String JScribWriter_Values;
	public static String JScribWriter_Symbol_Percentage;
	public static String JScribWriter_Pass;
	public static String JScribWriter_Fail;
	public static String JScribWriter_Inconclusive;
	public static String JScribWriter_Error;
	public static String JScribWriter_Title_ExecutionResultsByTestSuite;
	public static String JScribWriter_CreationDate;
	public static String JScribWriter_StartTime;
	public static String JScribWriter_EndTime;
	public static String JScribWriter_TestSuites;
	public static String JScribWriter_Verdict;
	public static String TestSuiteVisitor_TestSuite;
	public static String TestSuiteVisitor_Execution;
	public static String TestSuiteVisitor_Date;
	public static String TestSuiteVisitor_Attempted;
	public static String TestSuiteVisitor_PassRate;
	public static String TestSuiteVisitor_Verdict;
	public static String TestSuiteVisitor_NumberOfTestLogs;
	public static String SVG_URL;
	public static String HitRateReportGenerator_HIT_RATE;
	public static String HitRateReportGenerator_PAGE;
	public static String HitRateReportGenerator_HITS_SEC;
	public static String HitRateReportGenerator_LEGEND;
	public static String ResponseTimeReportGenerator_RESPONSE_TIME;
	public static String ResponseTimeReportGenerator_PAGE;
	public static String ResponseTimeReportGenerator_TIME_S;
	public static String ResponseTimeReportGenerator_LEGEND;
	public static String ResultsSelectionWizardPage_TITLE;
	public static String ResultsSelectionWizardPage_DESCRIPTION;
	public static String ReportGraph_1;
	public static String ReportGraph_2;
	public static String ReportGraph_3;
	public static String ReportGraph_4;
	public static String ReportGraph_5;
	public static String ReportGraph_6;
	public static String ReportGraph_7;
	public static String ReportGraph_8;
	public static String ReportGraph_9;
	public static String ReportGraph_10;
	public static String ReportGraph_11;
	public static String ReportGraph_12;
	public static String ReportGraph_13;
	public static String ReportGraph_14;
	public static String ReportGraph_15;
	
	static {
		NLS.initializeMessages(BUNDLE_NAME, SamplesPluginResourceBundle.class);
	}
}