/*******************************************************************************
 * Copyright (c) 2005 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andy Kaylor, Intel - Initial re-implementation of Agent Controller
 * $Id: ACTypes.h,v 1.2 2005-10-07 01:21:02 akaylor Exp $
 *******************************************************************************/ 


#ifndef __ACTYPES_H__
#define __ACTYPES_H__

/* These are structures that we don't want to expose everywhere   */
/*    or structures that reference one another                    */
struct agent_tag;                /* defined in AgentManagerPrivate.h  */
struct AgentManager_tag;         /* defined in AgentManager.h         */
struct ConnectionManager_tag;    /* defined in ConnectionManager.h    */
struct ConfigurationManager_tag; /* defined in ConfigurationManager.h */

#endif /* __ACTYPES_H__ */

