/*******************************************************************************
 * Copyright (c) 2005, 2006 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andy Kaylor, Intel - Initial implementation
 *
 * $Id: VTDataProcessor.java,v 1.1 2006-01-24 18:35:19 akaylor Exp $
 *
 *******************************************************************************/ 

package SampleAgentHandler;

import java.net.InetAddress;

import org.eclipse.hyades.internal.execution.local.common.DataProcessor;

/**
 * @author akaylor
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class VTDataProcessor implements DataProcessor
{

	/* (non-Javadoc)
	 * @see org.eclipse.hyades.execution.core.IDataProcessor#incommingData(byte[], int, java.net.InetAddress)
	 */
	public void incommingData(byte[] arg0, int arg1, InetAddress arg2)
	{
		System.out.println( "Incoming data " + arg1 );
	}

	/* (non-Javadoc)
	 * @see org.eclipse.hyades.execution.core.IDataProcessor#incommingData(char[], int, java.net.InetAddress)
	 */
	public void incommingData(char[] arg0, int arg1, InetAddress arg2)
	{
		System.out.println( "Incoming data 2" );
	}

	/* (non-Javadoc)
	 * @see org.eclipse.hyades.execution.core.IDataProcessor#invalidDataType(byte[], int, java.net.InetAddress)
	 */
	public void invalidDataType(byte[] arg0, int arg1, InetAddress arg2)
	{
		System.out.println( "Invalid data" );
	}

	/* (non-Javadoc)
	 * @see org.eclipse.hyades.execution.core.IDataProcessor#waitingForData()
	 */
	public void waitingForData()
	{
		System.out.println( "Waiting for data" );
	}

	public static void main(String[] args)
	{
		System.out.println( "main?" );
	}
}
