/*****************************************************************************
 * Copyright (c) 1997, 2012 Intel Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Intel Corporation - Initial API and implementation
 *
 * $Id$ 
 *****************************************************************************/

#ifndef _MRTE_HEAPPROXY_H
#define _MRTE_HEAPPROXY_H

#define HEAPADAPTOR_CALLBACK_CLASS_NAME                       "org/eclipse/tptp/martini/HeapProxy"
#define HEAPADAPTOR_CALLBACK_CLASS_NAME_WITH_DOT_SEPERATOR    "org.eclipse.tptp.martini.HeapProxy"
#define HEAPADAPTOR_NUM_EVENT_HANDLERS                        2
#define HEAPADAPTOR_CALLBACK_OBJECT_ALLOC_NAME                "ObjectAlloc"
#define HEAPADAPTOR_CALLBACK_OBJECT_ALLOC_SIG                 "(Ljava/lang/Object;Ljava/lang/Class;IJ)V"
#define HEAPADAPTOR_CALLBACK_EARLY_OBJECT_ALLOC_NAME          "EarlyObjectAlloc"  
#define HEAPADAPTOR_CALLBACK_EARLY_OBJECT_ALLOC_SIG           "(Ljava/lang/Object;IJ)V"
#define HEAPADAPTOR_CALLBACK_ARRAY_ALLOC_NAME                 "ArrayAlloc"
#define HEAPADAPTOR_CALLBACK_ARRAY_ALLOC_SIG                  "(Ljava/lang/Object;Ljava/lang/Class;IJ)V"
#define HEAPADAPTOR_CALLBACK_EARLY_ARRAY_ALLOC_NAME           "EarlyArrayAlloc"  
#define HEAPADAPTOR_CALLBACK_EARLY_ARRAY_ALLOC_SIG            "(Ljava/lang/Object;IJ)V"
#define HEAPADAPTOR_IS_JVM_INIT_TYPE                          "()I"
#define HEAPADAPTOR_IS_JVM_INIT_NAME                          "IsJVMInit"

#define HEAPOBJDATA_CALLBACK_CLASS_NAME                       "org/eclipse/tptp/martini/analysis/HeapObjectData"
#define HEAPOBJDATA_CALLBACK_CLASS_NAME_WITH_DOT_SEPERATOR    "org.eclipse.tptp.martini.analysis.HeapObjectData"
#define HEAPOBJDATA_NUM_EVENT_HANDLERS                        2
#define HEAPOBJDATA_CALLBACK_GET_OBJ_TID_NAME                 "getObjectTId"
#define HEAPOBJDATA_CALLBACK_GET_OBJ_TID_SIG				  "(Ljava/lang/Object;Z)J"
#define HEAPOBJDATA_CALLBACK_GET_OBJECT_BY_TID_NAME           "getObjectByTId"
#define HEAPOBJDATA_CALLBACK_GET_OBJECT_BY_TID_SIG			  "(J)Ljava/lang/Object;"

#endif // _MRTE_HEAPPROXY_H
