/*****************************************************************************
 * Copyright (c) 1997, 2010 Intel Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Intel Corporation - Initial API and implementation
 *
 * $Id: ThreadProxy.h,v 1.2 2010-05-11 16:32:23 jwest Exp $ 
 *****************************************************************************/

#ifndef _MRTE_THREADPROXY_H
#define _MRTE_THREADPROXY_H

#define THREADADAPTOR_CALLBACK_CLASS_NAME                      "org/eclipse/tptp/martini/ThreadProxy"
#define THREADADAPTOR_CALLBACK_CLASS_NAME_WITH_DOT_SEPERATOR   "org.eclipse.tptp.martini.ThreadProxy"

#define THREADADAPTOR_CALLBACK_EARLY_CALL_NOTIFY_NAME          "earlyCallNotify"  
#define THREADADAPTOR_CALLBACK_EARLY_CALL_NOTIFY_SIG           "(Ljava/lang/Object;)V"
#define THREADADAPTOR_CALLBACK_EARLY_CALL_NOTIFYALL_NAME       "earlyCallNotifyAll"  
#define THREADADAPTOR_CALLBACK_EARLY_CALL_NOTIFYALL_SIG        "(Ljava/lang/Object;)V"
#define THREADADAPTOR_CALLBACK_EARLY_CALL_INTERRUPT_NAME       "earlyCallInterrupt"  
#define THREADADAPTOR_CALLBACK_EARLY_CALL_INTERRUPT_SIG        "(Ljava/lang/Object;)V"
#define THREADADAPTOR_CALLBACK_EARLY_CALL_START_NAME           "earlyCallStart"  
#define THREADADAPTOR_CALLBACK_EARLY_CALL_START_SIG            "(Ljava/lang/Object;)V"

#define THREADADAPTOR_CALLBACK_EARLY_SLEEP_START_NAME           "earlySleepStart"
#define THREADADAPTOR_CALLBACK_EARLY_SLEEP_START_SIG            "()V"

#define THREADADAPTOR_CALLBACK_EARLY_SLEEP_END_NAME           "earlySleepEnd"
#define THREADADAPTOR_CALLBACK_EARLY_SLEEP_END_SIG            "()V"

#define THREADADAPTOR_NUM_EVENT_HANDLERS                       1
#define THREADADAPTOR_CALLBACK_CALL_TI_NAME                    "callThreadInteraction"
#define THREADADAPTOR_CALLBACK_CALL_TI_SIG                     "(Ljava/lang/Object;I)V"

#endif // _MRTE_THREADPROXY_H
