/*******************************************************************************
 * Copyright (c) 2007 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Ruslan Scherbakov, Intel - initial API and implementation
 *
 * $Id: AgentState.java,v 1.2 2007-06-17 05:17:33 gnagarajan Exp $
 *
 *******************************************************************************/ 

package org.eclipse.tptp.platform.execution.client.agent.internal;
import org.eclipse.tptp.platform.execution.client.core.IDataProcessor;

public class AgentState {
	public boolean isMonitored = false;
	public boolean isAttached = false;
	public boolean dataPathEstablished = false;
	public int 	   dataConnectionID = -1;
	public IDataProcessor dataProcessor = null;
	public String  token = null;
}
