/*******************************************************************************
 * Copyright (c) 2011 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/ 
package org.eclipse.tptp.platform.execution.client.core;

public class ACPropertyValue {

	private final String name;
	private final String type;
	private final String value;
	
	public ACPropertyValue( String name, String type, String value ) {
		
		this.name = name;
		this.type = type;
		this.value = value;
		
	}
	
	public String getName() {
		return name;
	}
	
	public String getType() {
		return type;
	}
	
	public String getValue() {
		return value;
	}
	
}
