/**********************************************************************
 * Copyright (c) 2006, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: VerdictReason.java,v 1.1 2007-12-05 20:02:56 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.common.runner.model.util;

/**
 * Verdict reason object.
 * <p>
 * 
 * 
 * @author  Paul E. Slauenwhite
 * @version May 10, 2006
 * @since   May 10, 2006
 */
public class VerdictReason {
	
	private String label = null;
	private int value = -1;
	private boolean isDefault = false;
	
	public VerdictReason(String label, int value, boolean isDefault){
		this.label = label;
		this.value = value;
		this.isDefault = isDefault;
	}
	
	public String getLabel() {
		return label;
	}

	public int getValue(){
		return value;
	}
		
	public boolean isDefault(){
		return isDefault;
	}
	
	public String toString(){
		return (getLabel());
	}
}
