package org.eclipse.hyades.logging.core;
/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: LoggingAgentCustomCommandHandler.java,v 1.1 2006-09-08 04:10:00 cjin Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
/**
 * Interface provide service to handle custom command.   
 * <p>
 * <code> LoggingAgent</code> provides function to register the 
 * <code>LoggingAgentCustomCommandHandler</code> instance as command listener 
 * to Agent controller
 * </p>
 * 
 * @author CindyJ
 * @auther Paul E.Slauenwhite
 * @since September 6,2006
 */
public interface LoggingAgentCustomCommandHandler {
	public void handleLoggingAgentCustomCommand(LoggingAgentCustomCommand command);
}
