/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: TPFRepositoryRecordImpl.java,v 1.4 2009-05-05 15:49:18 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.testprofile.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.hyades.models.common.testprofile.Common_TestprofilePackage;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionEvent;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionResult;
import org.eclipse.hyades.models.common.testprofile.TPFRepositoryRecord;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>TPF Repository Record</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFRepositoryRecordImpl#getID <em>ID</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFRepositoryRecordImpl#getURI <em>URI</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFRepositoryRecordImpl#getType <em>Type</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFRepositoryRecordImpl#getLabel <em>Label</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFRepositoryRecordImpl#getExecutionEvent <em>Execution Event</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFRepositoryRecordImpl#getExecutionResult <em>Execution Result</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class TPFRepositoryRecordImpl extends EObjectImpl implements TPFRepositoryRecord {
	/**
	 * The default value of the '{@link #getID() <em>ID</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getID()
	 * @generated
	 * @ordered
	 */
	protected static final String ID_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getID() <em>ID</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getID()
	 * @generated
	 * @ordered
	 */
	protected String id = ID_EDEFAULT;

	/**
	 * The default value of the '{@link #getURI() <em>URI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getURI()
	 * @generated
	 * @ordered
	 */
	protected static final String URI_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getURI() <em>URI</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getURI()
	 * @generated
	 * @ordered
	 */
	protected String uri = URI_EDEFAULT;

	/**
	 * The default value of the '{@link #getType() <em>Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getType()
	 * @generated
	 * @ordered
	 */
	protected static final String TYPE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getType() <em>Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getType()
	 * @generated
	 * @ordered
	 */
	protected String type = TYPE_EDEFAULT;

	/**
	 * The default value of the '{@link #getLabel() <em>Label</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLabel()
	 * @generated
	 * @ordered
	 */
	protected static final String LABEL_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getLabel() <em>Label</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLabel()
	 * @generated
	 * @ordered
	 */
	protected String label = LABEL_EDEFAULT;

	/**
	 * The cached value of the '{@link #getExecutionResult() <em>Execution Result</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getExecutionResult()
	 * @generated
	 * @ordered
	 */
	protected TPFExecutionResult executionResult;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TPFRepositoryRecordImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return Common_TestprofilePackage.Literals.TPF_REPOSITORY_RECORD;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getID() {
		return id;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setID(String newID) {
		String oldID = id;
		id = newID;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_REPOSITORY_RECORD__ID, oldID, id));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getURI() {
		return uri;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setURI(String newURI) {
		String oldURI = uri;
		uri = newURI;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_REPOSITORY_RECORD__URI, oldURI, uri));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getLabel() {
		return label;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLabel(String newLabel) {
		String oldLabel = label;
		label = newLabel;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_REPOSITORY_RECORD__LABEL, oldLabel, label));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getType() {
		return type;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setType(String newType) {
		String oldType = type;
		type = newType;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_REPOSITORY_RECORD__TYPE, oldType, type));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFExecutionEvent getExecutionEvent() {
		if (eContainerFeatureID() != Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT) return null;
		return (TPFExecutionEvent)eContainer();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetExecutionEvent(TPFExecutionEvent newExecutionEvent, NotificationChain msgs) {
		msgs = eBasicSetContainer((InternalEObject)newExecutionEvent, Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT, msgs);
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setExecutionEvent(TPFExecutionEvent newExecutionEvent) {
		if (newExecutionEvent != eInternalContainer() || (eContainerFeatureID() != Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT && newExecutionEvent != null)) {
			if (EcoreUtil.isAncestor(this, newExecutionEvent))
				throw new IllegalArgumentException("Recursive containment not allowed for " + toString());
			NotificationChain msgs = null;
			if (eInternalContainer() != null)
				msgs = eBasicRemoveFromContainer(msgs);
			if (newExecutionEvent != null)
				msgs = ((InternalEObject)newExecutionEvent).eInverseAdd(this, Common_TestprofilePackage.TPF_EXECUTION_EVENT__DEFECT_RECORDS, TPFExecutionEvent.class, msgs);
			msgs = basicSetExecutionEvent(newExecutionEvent, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT, newExecutionEvent, newExecutionEvent));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFExecutionResult getExecutionResult() {
		if (executionResult != null && executionResult.eIsProxy()) {
			InternalEObject oldExecutionResult = (InternalEObject)executionResult;
			executionResult = (TPFExecutionResult)eResolveProxy(oldExecutionResult);
			if (executionResult != oldExecutionResult) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_RESULT, oldExecutionResult, executionResult));
			}
		}
		return executionResult;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFExecutionResult basicGetExecutionResult() {
		return executionResult;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetExecutionResult(TPFExecutionResult newExecutionResult, NotificationChain msgs) {
		TPFExecutionResult oldExecutionResult = executionResult;
		executionResult = newExecutionResult;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_RESULT, oldExecutionResult, newExecutionResult);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setExecutionResult(TPFExecutionResult newExecutionResult) {
		if (newExecutionResult != executionResult) {
			NotificationChain msgs = null;
			if (executionResult != null)
				msgs = ((InternalEObject)executionResult).eInverseRemove(this, Common_TestprofilePackage.TPF_EXECUTION_RESULT__RECORDS, TPFExecutionResult.class, msgs);
			if (newExecutionResult != null)
				msgs = ((InternalEObject)newExecutionResult).eInverseAdd(this, Common_TestprofilePackage.TPF_EXECUTION_RESULT__RECORDS, TPFExecutionResult.class, msgs);
			msgs = basicSetExecutionResult(newExecutionResult, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_RESULT, newExecutionResult, newExecutionResult));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT:
				if (eInternalContainer() != null)
					msgs = eBasicRemoveFromContainer(msgs);
				return basicSetExecutionEvent((TPFExecutionEvent)otherEnd, msgs);
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_RESULT:
				if (executionResult != null)
					msgs = ((InternalEObject)executionResult).eInverseRemove(this, Common_TestprofilePackage.TPF_EXECUTION_RESULT__RECORDS, TPFExecutionResult.class, msgs);
				return basicSetExecutionResult((TPFExecutionResult)otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT:
				return basicSetExecutionEvent(null, msgs);
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_RESULT:
				return basicSetExecutionResult(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs) {
		switch (eContainerFeatureID()) {
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT:
				return eInternalContainer().eInverseRemove(this, Common_TestprofilePackage.TPF_EXECUTION_EVENT__DEFECT_RECORDS, TPFExecutionEvent.class, msgs);
		}
		return super.eBasicRemoveFromContainerFeature(msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__ID:
				return getID();
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__URI:
				return getURI();
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__TYPE:
				return getType();
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__LABEL:
				return getLabel();
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT:
				return getExecutionEvent();
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_RESULT:
				if (resolve) return getExecutionResult();
				return basicGetExecutionResult();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__ID:
				setID((String)newValue);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__URI:
				setURI((String)newValue);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__TYPE:
				setType((String)newValue);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__LABEL:
				setLabel((String)newValue);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT:
				setExecutionEvent((TPFExecutionEvent)newValue);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_RESULT:
				setExecutionResult((TPFExecutionResult)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__ID:
				setID(ID_EDEFAULT);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__URI:
				setURI(URI_EDEFAULT);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__TYPE:
				setType(TYPE_EDEFAULT);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__LABEL:
				setLabel(LABEL_EDEFAULT);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT:
				setExecutionEvent((TPFExecutionEvent)null);
				return;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_RESULT:
				setExecutionResult((TPFExecutionResult)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__ID:
				return ID_EDEFAULT == null ? id != null : !ID_EDEFAULT.equals(id);
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__URI:
				return URI_EDEFAULT == null ? uri != null : !URI_EDEFAULT.equals(uri);
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__TYPE:
				return TYPE_EDEFAULT == null ? type != null : !TYPE_EDEFAULT.equals(type);
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__LABEL:
				return LABEL_EDEFAULT == null ? label != null : !LABEL_EDEFAULT.equals(label);
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_EVENT:
				return getExecutionEvent() != null;
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD__EXECUTION_RESULT:
				return executionResult != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (ID: ");
		result.append(id);
		result.append(", URI: ");
		result.append(uri);
		result.append(", type: ");
		result.append(type);
		result.append(", label: ");
		result.append(label);
		result.append(')');
		return result.toString();
	}

} //TPFRepositoryRecordImpl
