/**********************************************************************
 * Copyright (c) 2003, 2011 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: TRCFilterImpl.java,v 1.4 2009-05-05 15:45:26 paules Exp $
 **********************************************************************/

/*
 * generated using Hyades customized JET templates
 */

package org.eclipse.hyades.models.hierarchy.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.hyades.models.hierarchy.HierarchyPackage;
import org.eclipse.hyades.models.hierarchy.TRCConfiguration;
import org.eclipse.hyades.models.hierarchy.TRCFilter;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>TRC Filter</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getType <em>Type</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getPattern <em>Pattern</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getMode <em>Mode</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getActive <em>Active</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getOperation <em>Operation</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getConfiguration <em>Configuration</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getOrigGenericPattern <em>Orig Generic Pattern</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getOrigMode <em>Orig Mode</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getOrigPattern <em>Orig Pattern</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getOrigMethodPattern <em>Orig Method Pattern</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getOrigMethodMode <em>Orig Method Mode</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.impl.TRCFilterImpl#getOrigMethodGenericPattern <em>Orig Method Generic Pattern</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class TRCFilterImpl extends EObjectImpl implements TRCFilter {
	/**
	 * The default value of the '{@link #getType() <em>Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getType()
	 * @generated
	 * @ordered
	 */
	protected static final String TYPE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getType() <em>Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getType()
	 * @generated
	 * @ordered
	 */
	protected String type = TYPE_EDEFAULT;

	/**
	 * The default value of the '{@link #getPattern() <em>Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPattern()
	 * @generated
	 * @ordered
	 */
	protected static final String PATTERN_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPattern() <em>Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPattern()
	 * @generated
	 * @ordered
	 */
	protected String pattern = PATTERN_EDEFAULT;

	/**
	 * The default value of the '{@link #getMode() <em>Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMode()
	 * @generated
	 * @ordered
	 */
	protected static final String MODE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getMode() <em>Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMode()
	 * @generated
	 * @ordered
	 */
	protected String mode = MODE_EDEFAULT;

	/**
	 * The default value of the '{@link #getActive() <em>Active</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getActive()
	 * @generated
	 * @ordered
	 */
	protected static final Boolean ACTIVE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getActive() <em>Active</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getActive()
	 * @generated
	 * @ordered
	 */
	protected Boolean active = ACTIVE_EDEFAULT;

	/**
	 * The default value of the '{@link #getOperation() <em>Operation</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOperation()
	 * @generated
	 * @ordered
	 */
	protected static final String OPERATION_EDEFAULT = "";

	/**
	 * The cached value of the '{@link #getOperation() <em>Operation</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOperation()
	 * @generated
	 * @ordered
	 */
	protected String operation = OPERATION_EDEFAULT;

	/**
	 * The default value of the '{@link #getOrigGenericPattern() <em>Orig Generic Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigGenericPattern()
	 * @generated
	 * @ordered
	 */
	protected static final String ORIG_GENERIC_PATTERN_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOrigGenericPattern() <em>Orig Generic Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigGenericPattern()
	 * @generated
	 * @ordered
	 */
	protected String origGenericPattern = ORIG_GENERIC_PATTERN_EDEFAULT;

	/**
	 * The default value of the '{@link #getOrigMode() <em>Orig Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigMode()
	 * @generated
	 * @ordered
	 */
	protected static final String ORIG_MODE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOrigMode() <em>Orig Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigMode()
	 * @generated
	 * @ordered
	 */
	protected String origMode = ORIG_MODE_EDEFAULT;

	/**
	 * The default value of the '{@link #getOrigPattern() <em>Orig Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigPattern()
	 * @generated
	 * @ordered
	 */
	protected static final String ORIG_PATTERN_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOrigPattern() <em>Orig Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigPattern()
	 * @generated
	 * @ordered
	 */
	protected String origPattern = ORIG_PATTERN_EDEFAULT;

	/**
	 * The default value of the '{@link #getOrigMethodPattern() <em>Orig Method Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigMethodPattern()
	 * @generated
	 * @ordered
	 */
	protected static final String ORIG_METHOD_PATTERN_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOrigMethodPattern() <em>Orig Method Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigMethodPattern()
	 * @generated
	 * @ordered
	 */
	protected String origMethodPattern = ORIG_METHOD_PATTERN_EDEFAULT;

	/**
	 * The default value of the '{@link #getOrigMethodMode() <em>Orig Method Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigMethodMode()
	 * @generated
	 * @ordered
	 */
	protected static final String ORIG_METHOD_MODE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOrigMethodMode() <em>Orig Method Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigMethodMode()
	 * @generated
	 * @ordered
	 */
	protected String origMethodMode = ORIG_METHOD_MODE_EDEFAULT;

	/**
	 * The default value of the '{@link #getOrigMethodGenericPattern() <em>Orig Method Generic Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigMethodGenericPattern()
	 * @generated
	 * @ordered
	 */
	protected static final String ORIG_METHOD_GENERIC_PATTERN_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOrigMethodGenericPattern() <em>Orig Method Generic Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrigMethodGenericPattern()
	 * @generated
	 * @ordered
	 */
	protected String origMethodGenericPattern = ORIG_METHOD_GENERIC_PATTERN_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TRCFilterImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return HierarchyPackage.Literals.TRC_FILTER;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getType() {
		return type;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setType(String newType) {
		String oldType = type;
		type = newType;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__TYPE, oldType, type));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPattern() {
		return pattern;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPattern(String newPattern) {
		String oldPattern = pattern;
		pattern = newPattern;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__PATTERN, oldPattern, pattern));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getMode() {
		return mode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMode(String newMode) {
		String oldMode = mode;
		mode = newMode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__MODE, oldMode, mode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Boolean getActive() {
		return active;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setActive(Boolean newActive) {
		Boolean oldActive = active;
		active = newActive;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__ACTIVE, oldActive, active));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOperation() {
		return operation;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOperation(String newOperation) {
		String oldOperation = operation;
		operation = newOperation;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__OPERATION, oldOperation, operation));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TRCConfiguration getConfiguration() {
		if (eContainerFeatureID() != HierarchyPackage.TRC_FILTER__CONFIGURATION) return null;
		return (TRCConfiguration)eContainer();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetConfiguration(TRCConfiguration newConfiguration, NotificationChain msgs) {
		msgs = eBasicSetContainer((InternalEObject)newConfiguration, HierarchyPackage.TRC_FILTER__CONFIGURATION, msgs);
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setConfiguration(TRCConfiguration newConfiguration) {
		if (newConfiguration != eInternalContainer() || (eContainerFeatureID() != HierarchyPackage.TRC_FILTER__CONFIGURATION && newConfiguration != null)) {
			if (EcoreUtil.isAncestor(this, newConfiguration))
				throw new IllegalArgumentException("Recursive containment not allowed for " + toString());
			NotificationChain msgs = null;
			if (eInternalContainer() != null)
				msgs = eBasicRemoveFromContainer(msgs);
			if (newConfiguration != null)
				msgs = ((InternalEObject)newConfiguration).eInverseAdd(this, HierarchyPackage.TRC_CONFIGURATION__FILTERS, TRCConfiguration.class, msgs);
			msgs = basicSetConfiguration(newConfiguration, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__CONFIGURATION, newConfiguration, newConfiguration));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOrigGenericPattern() {
		return origGenericPattern;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrigGenericPattern(String newOrigGenericPattern) {
		String oldOrigGenericPattern = origGenericPattern;
		origGenericPattern = newOrigGenericPattern;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__ORIG_GENERIC_PATTERN, oldOrigGenericPattern, origGenericPattern));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOrigMode() {
		return origMode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrigMode(String newOrigMode) {
		String oldOrigMode = origMode;
		origMode = newOrigMode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__ORIG_MODE, oldOrigMode, origMode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOrigPattern() {
		return origPattern;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrigPattern(String newOrigPattern) {
		String oldOrigPattern = origPattern;
		origPattern = newOrigPattern;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__ORIG_PATTERN, oldOrigPattern, origPattern));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOrigMethodPattern() {
		return origMethodPattern;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrigMethodPattern(String newOrigMethodPattern) {
		String oldOrigMethodPattern = origMethodPattern;
		origMethodPattern = newOrigMethodPattern;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__ORIG_METHOD_PATTERN, oldOrigMethodPattern, origMethodPattern));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOrigMethodMode() {
		return origMethodMode;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrigMethodMode(String newOrigMethodMode) {
		String oldOrigMethodMode = origMethodMode;
		origMethodMode = newOrigMethodMode;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__ORIG_METHOD_MODE, oldOrigMethodMode, origMethodMode));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOrigMethodGenericPattern() {
		return origMethodGenericPattern;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrigMethodGenericPattern(String newOrigMethodGenericPattern) {
		String oldOrigMethodGenericPattern = origMethodGenericPattern;
		origMethodGenericPattern = newOrigMethodGenericPattern;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, HierarchyPackage.TRC_FILTER__ORIG_METHOD_GENERIC_PATTERN, oldOrigMethodGenericPattern, origMethodGenericPattern));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case HierarchyPackage.TRC_FILTER__CONFIGURATION:
				if (eInternalContainer() != null)
					msgs = eBasicRemoveFromContainer(msgs);
				return basicSetConfiguration((TRCConfiguration)otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case HierarchyPackage.TRC_FILTER__CONFIGURATION:
				return basicSetConfiguration(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs) {
		switch (eContainerFeatureID()) {
			case HierarchyPackage.TRC_FILTER__CONFIGURATION:
				return eInternalContainer().eInverseRemove(this, HierarchyPackage.TRC_CONFIGURATION__FILTERS, TRCConfiguration.class, msgs);
		}
		return super.eBasicRemoveFromContainerFeature(msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case HierarchyPackage.TRC_FILTER__TYPE:
				return getType();
			case HierarchyPackage.TRC_FILTER__PATTERN:
				return getPattern();
			case HierarchyPackage.TRC_FILTER__MODE:
				return getMode();
			case HierarchyPackage.TRC_FILTER__ACTIVE:
				return getActive();
			case HierarchyPackage.TRC_FILTER__OPERATION:
				return getOperation();
			case HierarchyPackage.TRC_FILTER__CONFIGURATION:
				return getConfiguration();
			case HierarchyPackage.TRC_FILTER__ORIG_GENERIC_PATTERN:
				return getOrigGenericPattern();
			case HierarchyPackage.TRC_FILTER__ORIG_MODE:
				return getOrigMode();
			case HierarchyPackage.TRC_FILTER__ORIG_PATTERN:
				return getOrigPattern();
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_PATTERN:
				return getOrigMethodPattern();
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_MODE:
				return getOrigMethodMode();
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_GENERIC_PATTERN:
				return getOrigMethodGenericPattern();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case HierarchyPackage.TRC_FILTER__TYPE:
				setType((String)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__PATTERN:
				setPattern((String)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__MODE:
				setMode((String)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__ACTIVE:
				setActive((Boolean)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__OPERATION:
				setOperation((String)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__CONFIGURATION:
				setConfiguration((TRCConfiguration)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_GENERIC_PATTERN:
				setOrigGenericPattern((String)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_MODE:
				setOrigMode((String)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_PATTERN:
				setOrigPattern((String)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_PATTERN:
				setOrigMethodPattern((String)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_MODE:
				setOrigMethodMode((String)newValue);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_GENERIC_PATTERN:
				setOrigMethodGenericPattern((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case HierarchyPackage.TRC_FILTER__TYPE:
				setType(TYPE_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__PATTERN:
				setPattern(PATTERN_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__MODE:
				setMode(MODE_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__ACTIVE:
				setActive(ACTIVE_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__OPERATION:
				setOperation(OPERATION_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__CONFIGURATION:
				setConfiguration((TRCConfiguration)null);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_GENERIC_PATTERN:
				setOrigGenericPattern(ORIG_GENERIC_PATTERN_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_MODE:
				setOrigMode(ORIG_MODE_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_PATTERN:
				setOrigPattern(ORIG_PATTERN_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_PATTERN:
				setOrigMethodPattern(ORIG_METHOD_PATTERN_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_MODE:
				setOrigMethodMode(ORIG_METHOD_MODE_EDEFAULT);
				return;
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_GENERIC_PATTERN:
				setOrigMethodGenericPattern(ORIG_METHOD_GENERIC_PATTERN_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case HierarchyPackage.TRC_FILTER__TYPE:
				return TYPE_EDEFAULT == null ? type != null : !TYPE_EDEFAULT.equals(type);
			case HierarchyPackage.TRC_FILTER__PATTERN:
				return PATTERN_EDEFAULT == null ? pattern != null : !PATTERN_EDEFAULT.equals(pattern);
			case HierarchyPackage.TRC_FILTER__MODE:
				return MODE_EDEFAULT == null ? mode != null : !MODE_EDEFAULT.equals(mode);
			case HierarchyPackage.TRC_FILTER__ACTIVE:
				return ACTIVE_EDEFAULT == null ? active != null : !ACTIVE_EDEFAULT.equals(active);
			case HierarchyPackage.TRC_FILTER__OPERATION:
				return OPERATION_EDEFAULT == null ? operation != null : !OPERATION_EDEFAULT.equals(operation);
			case HierarchyPackage.TRC_FILTER__CONFIGURATION:
				return getConfiguration() != null;
			case HierarchyPackage.TRC_FILTER__ORIG_GENERIC_PATTERN:
				return ORIG_GENERIC_PATTERN_EDEFAULT == null ? origGenericPattern != null : !ORIG_GENERIC_PATTERN_EDEFAULT.equals(origGenericPattern);
			case HierarchyPackage.TRC_FILTER__ORIG_MODE:
				return ORIG_MODE_EDEFAULT == null ? origMode != null : !ORIG_MODE_EDEFAULT.equals(origMode);
			case HierarchyPackage.TRC_FILTER__ORIG_PATTERN:
				return ORIG_PATTERN_EDEFAULT == null ? origPattern != null : !ORIG_PATTERN_EDEFAULT.equals(origPattern);
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_PATTERN:
				return ORIG_METHOD_PATTERN_EDEFAULT == null ? origMethodPattern != null : !ORIG_METHOD_PATTERN_EDEFAULT.equals(origMethodPattern);
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_MODE:
				return ORIG_METHOD_MODE_EDEFAULT == null ? origMethodMode != null : !ORIG_METHOD_MODE_EDEFAULT.equals(origMethodMode);
			case HierarchyPackage.TRC_FILTER__ORIG_METHOD_GENERIC_PATTERN:
				return ORIG_METHOD_GENERIC_PATTERN_EDEFAULT == null ? origMethodGenericPattern != null : !ORIG_METHOD_GENERIC_PATTERN_EDEFAULT.equals(origMethodGenericPattern);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (type: ");
		result.append(type);
		result.append(", pattern: ");
		result.append(pattern);
		result.append(", mode: ");
		result.append(mode);
		result.append(", active: ");
		result.append(active);
		result.append(", operation: ");
		result.append(operation);
		result.append(", origGenericPattern: ");
		result.append(origGenericPattern);
		result.append(", origMode: ");
		result.append(origMode);
		result.append(", origPattern: ");
		result.append(origPattern);
		result.append(", origMethodPattern: ");
		result.append(origMethodPattern);
		result.append(", origMethodMode: ");
		result.append(origMethodMode);
		result.append(", origMethodGenericPattern: ");
		result.append(origMethodGenericPattern);
		result.append(')');
		return result.toString();
	}

} //TRCFilterImpl
