/**********************************************************************
 * Copyright (c) 2003, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IUnresolvedResourceHelper.java,v 1.2 2007-12-01 00:06:21 apnan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.models.hierarchy.util;

import org.eclipse.emf.common.util.URI;


public interface IUnresolvedResourceHelper {
    //~ Static fields/initializers -----------------------------------------------------------------

    public static final int CONTINUE = 0;
    public static final int ABORT_WITHOUT_EXCEPTION = 1;
    public static final int RETRY = 2;

    //~ Methods ------------------------------------------------------------------------------------

    int uriException(URI uri, Exception e);
}
