/**********************************************************************
 * Copyright (c) 2003, 2012 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: IntToObjectMap.java,v 1.2 2007-12-01 00:06:21 apnan Exp $
 **********************************************************************/
package org.eclipse.hyades.models.hierarchy.util;

import java.util.Map;

/**
 * 
 * @author slavescu
 *
 */
@SuppressWarnings("rawtypes")
public interface IntToObjectMap extends Map{
	int MISSING_KEY = 0;
	Object MISSING_VALUE = null;
	
	int compact();
	Object remove(int key);

	Object put(int key, Object object);
	
	Object get(int key);
	boolean containsKey(int key);
	
	Object[] getValues();
	int[] getKeys();
	

}
