/*******************************************************************************
 * Copyright (c) 2006, 2009 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: JavaMessages.java,v 1.6 2009-05-04 14:37:13 paules Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.tools.ui.java.internal;

import org.eclipse.osgi.util.NLS;

/**
 * <p>Plug-in level resource bundle.</p>
 * 
 * 
 * @author  Paul E. Slauenwhite
 * @version May 4, 2009
 * @since   February 1, 2005
 */
 public class JavaMessages extends NLS {

	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.tools.ui.java.internal.messages"; //$NON-NLS-1$

	private JavaMessages() {
		// Do not instantiate
	}
	
	public static String DEFAULT_PACKAGE;

	public static String JUNIT_IMPORT_CHOOSE_FOLDER_PROMPT;

	public static String JUNIT_IMPORT_CHOOSE_IN_WORKSPACE;

	public static String JUNIT_IMPORT_CHOOSE_VARIABLE;

	public static String JUNIT_IMPORT_DEFAULT_PATH;

	public static String JUNIT_IMPORT_DEFAULT_TYPE;

	public static String JUNIT_IMPORT_PATTERN_COMMON_JUNIT_FOLDER;

	public static String JUNIT_IMPORT_PATTERN_SAME_FOLDER;

	public static String JUNIT_IMPORT_PATTERNS;

	public static String JUNIT_IMPORT_WIZARD_DESTINATION_TYPE;

	public static String JUNIT_IMPORT_WIZARD_INTERNAL_ERROR;

	public static String JUNIT_PREFERENCE_DEFAULT_OPTIONS_DESCR;

	public static String JUNIT_PREFERENCE_TESTS_IMPORT_GROUP;

	static {
		NLS.initializeMessages(BUNDLE_NAME, JavaMessages.class);
	}
}
