/* ***********************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DRow.java,v 1.2 2008-05-23 14:11:48 jcayne Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/



package org.eclipse.tptp.platform.report.core.internal;


/**
 * The row is part of a table: table contains rows and each row 
 * contains only DCell. 
 * 
 * @see DTable
 * @see DCell
 * @deprecated As of TPTP 4.5.0, use the TPTP Business Intelligence and Reporting Tools (BIRT) reporting infrastructure (<code>org.eclipse.tptp.platform.report.birt</code>).
 * 
 */
public class DRow extends DItemContainer 
{
   
   /**
    * Creates an empty row.
    */
   public DRow() 
   {
    
   }
   
   /**
    * Returns the cell number in the row.
    */
   public int getCellCount() 
   {
   	 return getChildCount();    
   }
   
}
