/* ***********************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: HtmlVariable.java,v 1.2 2008-05-23 14:12:01 jcayne Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/

package org.eclipse.tptp.platform.report.drivers.internal;

/**
 * Mark a variable in a List returned by Html configuration file.
 * 
 * @deprecated As of TPTP 4.5.0, use the TPTP Business Intelligence and Reporting Tools (BIRT) reporting infrastructure (<code>org.eclipse.tptp.platform.report.birt</code>).
 * 
 */
public class HtmlVariable 
{
  protected String name_;
  
  /** 
   * Create a variable identified with given name.
   */
  public HtmlVariable( String name )
  {
    name_=name;
  }
  
  /** @return the name of the variable */
  public String getName() 
  {
    return name_;
  }
}
